#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0xcea529a4, "");
SYMBOL_CRC(acpi_video_get_edid, 0x25a9f062, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x7de7bf50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5110688b, "input_allocate_device" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xab64a7b7, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6fbb5f32, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xa8e6daa8, "backlight_force_update" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd6890d24, "pci_dev_put" },
	{ 0x8c98c969, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5aa70984, "acpi_reduced_hardware" },
	{ 0xc272b65e, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x401a5db3, "acpi_device_fix_up_power_children" },
	{ 0x31dbd6fc, "acpi_dev_remove_notify_handler" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4f4ae010, "thermal_cooling_device_register" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0x4c99b028, "pci_read_config_dword" },
	{ 0x1d11f3fb, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x242198b3, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa6f484e, "_dev_info" },
	{ 0x49fa9aaf, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x9c71f5e4, "acpi_dev_install_notify_handler" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x58fee92e, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xba5cb58c, "acpi_get_pci_dev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0xe83ac8e3, "input_event" },
	{ 0xcce34a8e, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4161958, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xc8580809, "acpi_fetch_acpi_dev" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0xf8583f53, "acpi_bus_unregister_driver" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x241a83c9, "backlight_device_register" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1c1515f9, "acpi_dev_for_each_child" },
	{ 0xe23e3eef, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdaa03b14, "acpi_bus_register_driver" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "FC7CF6EA3D972F96CE9D2CF");
