#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0xf9b7d791, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xf404617d, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x352b6e5d, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x490d6c6b, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x4c75b614, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xb389842b, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x7f2ac1c9, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x89919543, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x95c796ad, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xc7ca59ed, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xc3117244, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xbfd631e9, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xde6a4738, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x02f2f677, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xc73fb7ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b9a4e70, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaeda159e, "try_module_get" },
	{ 0x5af1a6a2, "drm_fb_helper_init" },
	{ 0x18d81056, "drm_fb_helper_debug_enter" },
	{ 0x7f073234, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe35d5971, "drm_client_buffer_vmap" },
	{ 0xfc9d9c9b, "drm_fb_helper_lastclose" },
	{ 0x7c9ad565, "drm_fb_helper_setcmap" },
	{ 0x7e18bd66, "drm_fb_helper_alloc_info" },
	{ 0xf44df658, "drm_helper_disable_unused_functions" },
	{ 0xe04f9956, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x8245a872, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xca491c5d, "drm_fb_helper_fini" },
	{ 0x968a1ca5, "dma_mmap_pages" },
	{ 0x5a6f8243, "drm_client_framebuffer_delete" },
	{ 0xc27f75f6, "dma_free_pages" },
	{ 0xd991c367, "drm_client_framebuffer_create" },
	{ 0x700b90e5, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x9cc41b99, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3bd66d5, "drm_fb_helper_fill_info" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x55949cc1, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xeebac507, "drm_gem_object_init" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0x74f2e180, "drm_fb_helper_hotplug_event" },
	{ 0x178ceb0b, "fb_sys_write" },
	{ 0x2883d7b3, "sys_imageblit" },
	{ 0xec413425, "drm_atomic_helper_damage_iter_init" },
	{ 0x7d7eb6ec, "drm_fb_helper_blank" },
	{ 0x9f27dc93, "dma_alloc_pages" },
	{ 0xbf684389, "drm_gem_private_object_init" },
	{ 0xe2d1da5d, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbd4c7e62, "sys_fillrect" },
	{ 0x4a9bedde, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x473309ed, "drm_client_init" },
	{ 0x470e659c, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3a7d429c, "drm_gem_vm_open" },
	{ 0xfc0be4d7, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x61d5d24f, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xa4dd5943, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x1d6749a, "drm_gem_handle_create" },
	{ 0xa699a8f9, "drm_gem_fb_get_obj" },
	{ 0x94e443fc, "__drm_dev_dbg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x128e2914, "drm_fb_helper_pan_display" },
	{ 0x33405962, "drm_client_release" },
	{ 0x4fb2bd3a, "sys_copyarea" },
	{ 0x5d278954, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xac02aebf, "drm_client_buffer_vunmap" },
	{ 0x90b735df, "fb_sys_read" },
	{ 0xd41dcb2c, "drm_fb_helper_debug_leave" },
	{ 0x7cb2822, "dma_buf_vmap_unlocked" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xaad74038, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x875d7e25, "dma_get_sgtable_attrs" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x38846cc2, "drm_fb_helper_initial_config" },
	{ 0x84944bb7, "drm_fb_helper_unregister_info" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xb2ff57d2, "drm_fb_helper_ioctl" },
	{ 0x224d9293, "drm_fb_helper_set_par" },
	{ 0x4e63bbe7, "drm_prime_gem_destroy" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
