#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x2640d2c9, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0x4e167386, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x4f2639a5, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x04b50bd0, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x97accf53, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x127c237c, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x90ac2a88, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xe4502e97, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xaf688b57, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x530db294, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xa58b23b6, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x47b73dd6, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xc2928c62, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x0fae1151, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x8094a3f7, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x4b672841, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x622e0120, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xfdabedee, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xb29b7331, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa2ebdd5b, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xfbc7f674, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x7ad76fde, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xe3c5bf4a, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x13ea6b23, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xd4d99914, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x82a78217, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x6993b049, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x3abbb9f6, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x37d0320f, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x696166da, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x227512f5, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x7c7811f3, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xea43dc55, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x44ea46e7, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xfc6adf44, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x46bd2445, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x6850ea93, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x0a0dc151, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xd755971e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xc00f7992, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xd82d1c82, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xd605d3bc, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xe6d20403, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x7f68d34b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x95fac1f6, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xbc6f351a, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x5c09b2a2, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x0a9a043d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x54b9b26a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x6482a0b1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xbf4486a6, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x469c86af, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x5c1771d9, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x580b6347, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x58836b9b, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xd77e7d8e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x64feb054, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x0792f0c7, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xcba4c93a, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xe4db684e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xc37259ee, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xdef8ec5c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x59dc8054, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x5ed6c3ce, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x8345ae8b, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xcc418d5e, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x02c8953c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xb91394cb, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x0205b4dd, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xdd7c2a8c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x85be3a8f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x7e82f69b, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xd7f30293, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x0b0dcc11, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x1e9b1415, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xf44df658, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x176f9770, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x4cdeb8bd, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x90ac4657, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x54e79c27, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x3e1a56ed, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x642a649d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x3f275b0e, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x891e3609, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xec413425, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x039b6af9, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xfda7e0f1, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x724f2d72, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xdeed719b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x83577abb, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x2ca755f2, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xb8a81076, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x5d315225, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x84c1fdac, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xc36e83bb, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x70367ac1, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0xb6a26b52, "");
SYMBOL_CRC(drm_flip_work_queue, 0x27d1f4bf, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5b6a86c, "");
SYMBOL_CRC(drm_flip_work_init, 0x6c6e4f6a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xe614fb2b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x4c4e6ddc, "");
SYMBOL_CRC(drm_fb_swab, 0x4e03e435, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x4825be14, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x51c86150, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x3d59db08, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xea302dc4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb7b318d6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x7c18b857, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xeef65eb9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xb7be5a56, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x5983aa62, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xffd285e3, "");
SYMBOL_CRC(drm_fb_blit, 0x1aeacffb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xbdb9d147, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xb96c1fc0, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xcfc4f0e4, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x87567514, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x3d03f09b, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x5343e164, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x715193e0, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xee1f10ed, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x5c916a74, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xa7b0df0a, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xa13e7044, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x3018d8b8, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x88adbb4f, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xc0446421, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x043f57f4, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xde0d39ca, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xa699a8f9, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x422a5413, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x2a433332, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xda8864af, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x10983d7d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xa13f119b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x872ed36e, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x6dc49010, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x0d677e6f, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xcd332aa9, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xfa7adac3, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xd10e8d36, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xf3494055, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xc3f584a1, "");
SYMBOL_CRC(drm_crtc_init, 0x1572503e, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xf6def1d1, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x395396d4, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x3b805501, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x7109c3f7, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x581b0b1e, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0xfd8f0f54, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xc9cd2523, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x99699bae, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xdb95a6ce, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x3aa5efa3, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x8ce78be2, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xc22202d6, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x3dc6cb32, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x2f53f353, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x72c26849, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb745b88a, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x2dd61fa6, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x14449230, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x71c2b6a7, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xf3caeca0, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xe0284d19, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xceceeed2, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xe64acb09, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xe1ad8c1c, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xafb6174f, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x1fe023bc, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x4dc8a223, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xa0019ca1, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xed3c931e, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0baf0b10, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xf42cac31, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xe6798296, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x8e89205a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x69b46851, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x6b8b2e8e, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xfd0fabff, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x4414cb53, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xf2fb9044, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xed79cf46, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0xab2314f3, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xd3e2e6a3, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xd8841f98, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x18d81056, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xd41dcb2c, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x8e35cce6, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x7d7eb6ec, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xfc0be4d7, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xe04f9956, "");
SYMBOL_CRC(drm_fb_helper_init, 0x5af1a6a2, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x7e18bd66, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xa5afe7b7, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x84944bb7, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xca491c5d, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x50366165, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x56fed631, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x56e06e48, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xbea68f3a, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x38624ab0, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x7c9ad565, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xb2ff57d2, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xe2d1da5d, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x224d9293, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x128e2914, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe3bd66d5, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x38846cc2, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x74f2e180, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xfc9d9c9b, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x78f3625c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa33b6d2, "unregister_framebuffer" },
	{ 0x605a42d8, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x314fe3f3, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x2b9a4e70, "drm_client_register" },
	{ 0xcc68b3e1, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x705c24d, "drm_panel_get_modes" },
	{ 0x2096bbeb, "drm_gem_vmap_unlocked" },
	{ 0xaeda159e, "try_module_get" },
	{ 0x27ffb438, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcc7765bf, "drm_bridge_add" },
	{ 0x7a2fe3ac, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xcd217c79, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0x849c1245, "drm_client_rotation" },
	{ 0xe35d5971, "drm_client_buffer_vmap" },
	{ 0x4c2b5409, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdc1ee294, "drm_framebuffer_init" },
	{ 0x2be17cc1, "drm_mode_validate_driver" },
	{ 0x18b391bf, "drm_atomic_add_affected_planes" },
	{ 0xa5d56fce, "dma_buf_end_cpu_access" },
	{ 0xb23a558a, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5cb53d63, "drm_mode_probed_add" },
	{ 0xd974b6d4, "drm_atomic_add_affected_connectors" },
	{ 0x47828fd6, "drm_gem_vunmap_unlocked" },
	{ 0x4a99abd3, "drm_bridge_hpd_enable" },
	{ 0x15bb2004, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2512d8bc, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5a6f8243, "drm_client_framebuffer_delete" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xd991c367, "drm_client_framebuffer_create" },
	{ 0x3d1a8ab4, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x430bd672, "drm_mode_object_get" },
	{ 0x7caffa90, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x5ae34af5, "drm_driver_legacy_fb_format" },
	{ 0xa05c450f, "drm_crtc_cleanup" },
	{ 0x87268e15, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe28b4761, "fb_deferred_io_init" },
	{ 0x3f91cb48, "drm_mode_set_config_internal" },
	{ 0x4d76994c, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe612a289, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc9277b52, "drm_encoder_cleanup" },
	{ 0x10b41517, "drm_connector_unregister" },
	{ 0xb973fc35, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x76599c45, "drm_client_modeset_probe" },
	{ 0xa09381fe, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc992321c, "drm_plane_get_damage_clips" },
	{ 0x13e2b13b, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x7241aa6e, "drm_add_modes_noedid" },
	{ 0xacef9a50, "drm_bridge_remove" },
	{ 0x6ff66332, "drm_mode_object_put" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0xc556fdf6, "drm_crtc_vblank_get" },
	{ 0xeafd1217, "drm_gem_object_lookup" },
	{ 0x6060e97, "drm_crtc_send_vblank_event" },
	{ 0x626d3a89, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x178ceb0b, "fb_sys_write" },
	{ 0xd31c6b42, "drm_atomic_normalize_zpos" },
	{ 0xc4439f4, "drm_edid_connector_update" },
	{ 0x56ebc141, "drm_sysfs_hotplug_event" },
	{ 0x8dcbe9ef, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2883d7b3, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xff26e178, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x388134b9, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0xbd4c7e62, "sys_fillrect" },
	{ 0x17e4d7de, "drm_connector_list_iter_end" },
	{ 0x5baa1481, "drm_atomic_set_crtc_for_plane" },
	{ 0xaa03717, "drm_client_modeset_dpms" },
	{ 0x1a286f59, "drm_mode_prune_invalid" },
	{ 0xd376e1c9, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xbc23ba15, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x20756590, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x4a9bedde, "module_put" },
	{ 0x219639ba, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xa28e8316, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x473309ed, "drm_client_init" },
	{ 0x9cf0123a, "drm_crtc_wait_one_vblank" },
	{ 0xf7125458, "drm_crtc_next_vblank_start" },
	{ 0x11f4c379, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc81dfdb3, "drm_modeset_lock" },
	{ 0x4bd5f76e, "drm_client_modeset_commit_locked" },
	{ 0xfca01cb3, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7cc33fc4, "drm_panel_disable" },
	{ 0x57169fe4, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf402a7ac, "drm_connector_init" },
	{ 0x7209e5f, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0x57d51ced, "drm_writeback_cleanup_job" },
	{ 0x26a907f3, "drm_modeset_lock_all_ctx" },
	{ 0x85293c82, "i2c_unregister_device" },
	{ 0x148a725, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x12f885a5, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cac6458, "drm_connector_init_with_ddc" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xff9c719c, "drm_add_edid_modes" },
	{ 0x226a80a1, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9f3bec1d, "__devres_alloc_node" },
	{ 0x88ffee4d, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4e2e4363, "drm_crtc_commit_wait" },
	{ 0x432eb089, "drm_dev_has_vblank" },
	{ 0xb31acb81, "register_framebuffer" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x118087e5, "__drm_atomic_helper_disable_plane" },
	{ 0x9445d70a, "drm_connector_set_orientation_from_panel" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x1d6749a, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x90650a33, "drm_atomic_set_crtc_for_connector" },
	{ 0x85528fcf, "drm_analog_tv_mode" },
	{ 0xccf9cd64, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x67e636d4, "drm_mode_duplicate" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x74365f82, "drm_crtc_vblank_put" },
	{ 0x6b64f30e, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x94e443fc, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x579c8487, "drm_plane_get_damage_clips_count" },
	{ 0x722fcdd1, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x6e6e0d89, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xd4eec10a, "drm_atomic_state_alloc" },
	{ 0x719e4556, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x4316fc8f, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7d9d0ac3, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x8114b5e1, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6a08eaca, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x33405962, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x456c9544, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4200779, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x5b0f1eae, "drm_get_format_info" },
	{ 0xd4b12c74, "drm_connector_cleanup" },
	{ 0x28d1c2ba, "drm_universal_plane_init" },
	{ 0x8728e79d, "drm_any_plane_has_format" },
	{ 0x4fb2bd3a, "sys_copyarea" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xffc9bd32, "drm_connector_list_iter_next" },
	{ 0x77f9bab, "drm_modeset_acquire_fini" },
	{ 0x34cfd481, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x1201de3a, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x29adaf77, "drm_of_find_panel_or_bridge" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3572bb20, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xfb1435b9, "drm_modeset_backoff" },
	{ 0x930e19cd, "drm_panel_prepare" },
	{ 0xddbab710, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xac02aebf, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x90b735df, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0x48633fa5, "drm_atomic_get_plane_state" },
	{ 0xf38f05d, "drm_atomic_bridge_chain_check" },
	{ 0xccdf2314, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6d30f645, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x544e5bbc, "drm_property_blob_put" },
	{ 0xff88856d, "drm_mode_destroy" },
	{ 0x95e51436, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xea93d1e, "drm_set_preferred_mode" },
	{ 0x113c7ea4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x425e762d, "drm_atomic_state_clear" },
	{ 0xb38f0207, "drm_mode_config_reset" },
	{ 0x94b42fab, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x97f873c, "drm_modeset_drop_locks" },
	{ 0x23e1bd4e, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xbacaaba9, "drm_atomic_bridge_chain_disable" },
	{ 0x3d1656c1, "drm_mode_create_from_cmdline_mode" },
	{ 0xca27fb32, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xdfc40565, "drm_atomic_nonblocking_commit" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x38c71ce7, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2ff77f54, "drm_get_edid" },
	{ 0xa80bd7bf, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xbc8c1007, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x24b4d6b0, "drm_atomic_add_encoder_bridges" },
	{ 0xc8651141, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1f4d1f23, "drm_sysfs_connector_hotplug_event" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "4ED803E2A3DFAC585C4E303");
