#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x503f2d76, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x63f17ade, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x907519b0, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x7a472cfd, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xb7b1260b, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xb612410b, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x1487e49a, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xd500a8b7, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x6cda5180, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x5d93a4de, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x068d9ff6, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x387e8a6a, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xfeee86eb, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x2b695c63, "_gpl");
SYMBOL_CRC(mtd_erase, 0x99405373, "_gpl");
SYMBOL_CRC(mtd_point, 0xdd3b96f5, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x8c3f18c7, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xf2c784a1, "_gpl");
SYMBOL_CRC(mtd_read, 0x8f0c6dd7, "_gpl");
SYMBOL_CRC(mtd_write, 0x0c40b334, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x91d2ab05, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x10cb1425, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xcd744b25, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x1ed8ea48, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x0441acce, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x7de63019, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x21f16563, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x782ecc32, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xd71cc837, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xedb0197a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x7fbe7839, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x70fa8351, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x243c03f7, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x0173de5d, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x2cc87d06, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x98300210, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x35b22e75, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x95c981d3, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x5dc1314e, "_gpl");
SYMBOL_CRC(mtd_lock, 0xb2891a5a, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xd0638d27, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xd5af50d5, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xc57d654b, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x26cfbc06, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x711006cf, "_gpl");
SYMBOL_CRC(mtd_writev, 0xbf38b2d4, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x7b0e5b63, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x2f46aee4, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x24ddfdd2, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x5f469dad, "");
SYMBOL_CRC(mtd_concat_destroy, 0xf4d52a0a, "");
SYMBOL_CRC(mtd_add_partition, 0x86d0380f, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xdf2ed285, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xc86d1039, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xb1b030a0, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xbfe0f660, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64a5a8f6, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaeda159e, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf037625, "of_node_put" },
	{ 0x6c9276d9, "sget_dev" },
	{ 0x747acbd3, "bdi_unregister" },
	{ 0xa1c7980f, "dev_set_name" },
	{ 0x6e4c2fc7, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd7e8bf74, "bdi_register" },
	{ 0x2c63cfc9, "of_node_name_prefix" },
	{ 0x5906a81a, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5c703e7c, "of_node_get" },
	{ 0x4601c801, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6f7d0d23, "sysfs_remove_files" },
	{ 0xfb121593, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4929b7fc, "bdi_put" },
	{ 0xeb4b4264, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf8e3a82a, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4a9bedde, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa6b56004, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x82e56abd, "debugfs_create_bool" },
	{ 0xb66d0cc9, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2fccf75e, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1458eba, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x222ae6c4, "fixed_size_llseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x36ffaaa3, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd4d57292, "of_find_property" },
	{ 0xe1f73018, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4fdcf5b6, "bdi_alloc" },
	{ 0x1c343426, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x549f82e0, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75b02035, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2e973d14, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9037d3e, "remove_proc_entry" },
	{ 0x2e142782, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4221fa11, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x95e96ae7, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x922e2f55, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf309d594, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5540bcf4, "dev_err_probe" },
	{ 0x929b296c, "proc_create_single_data" },
	{ 0xdecd9bb5, "nvmem_register" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa3fe61af, "of_platform_populate" },
	{ 0xb8d9da11, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
