#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x085f1b87, "_gpl");
SYMBOL_CRC(c_can_power_down, 0xa9f317a0, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x9d7973cf, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0x2dbba6ad, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0xc7f59f9b, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0x3ecc2181, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7356aa31, "can_put_echo_skb" },
	{ 0xa9362938, "can_get_echo_skb" },
	{ 0xe65100ea, "netif_napi_add_weight" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb8d2cf6c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xab0c7b9a, "open_candev" },
	{ 0xb32493f6, "netdev_err" },
	{ 0xc2a768dc, "pinctrl_pm_select_default_state" },
	{ 0x39e4f389, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6699245b, "__napi_schedule" },
	{ 0x9f320553, "alloc_can_skb" },
	{ 0x54ef4756, "unregister_candev" },
	{ 0x2c699ddb, "can_change_mtu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x86548e28, "pinctrl_put" },
	{ 0x84732d44, "can_dropped_invalid_skb" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x97588e97, "pinctrl_pm_select_sleep_state" },
	{ 0xe9e2e201, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xaba88c29, "alloc_candev_mqs" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x89cf23b8, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dbfef25, "napi_enable" },
	{ 0xa35980c7, "netif_receive_skb" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xc3b6abda, "close_candev" },
	{ 0x46dce224, "pinctrl_get" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5301a0de, "can_bus_off" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8b55b6b6, "pinctrl_lookup_state" },
	{ 0x8a5e7fb2, "__pm_runtime_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x57c27c04, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd83fe19b, "alloc_can_err_skb" },
	{ 0x7e391d12, "napi_schedule_prep" },
	{ 0x7c425a87, "napi_disable" },
	{ 0x52f26a43, "register_candev" },
	{ 0xec14067a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x874f937c, "ethtool_op_get_ts_info" },
	{ 0x628e77, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "326631E12927EB9B045D2BC");
