#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x448d4d07, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xd3f1525b, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xdf489435, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x4934a468, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xd25f5319, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x498c009b, "xsk_tx_completed" },
	{ 0x3628d21, "alloc_etherdev_mqs" },
	{ 0xe71606b9, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc15734c8, "pci_save_state" },
	{ 0xa4b1ab49, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc64be35b, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x628130ba, "device_set_wakeup_enable" },
	{ 0x1c803278, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe2796e17, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x70bfe7ce, "pci_find_ext_capability" },
	{ 0x5a7f9752, "kthread_create_worker" },
	{ 0xde06ec28, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f3adbdf, "xp_dma_map" },
	{ 0x99740385, "devlink_unregister" },
	{ 0x40734db7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd9d4d7, "devm_request_threaded_irq" },
	{ 0xba06e1eb, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0xee5ae1af, "pci_wake_from_d3" },
	{ 0x26827126, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94e8a8e, "__napi_alloc_skb" },
	{ 0x9a2c4351, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x81cf20e7, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7cf2c00b, "auxiliary_device_init" },
	{ 0x3dddbb4b, "pci_enable_device_mem" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x8c4050f3, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe8aeb9d4, "pci_alloc_irq_vectors" },
	{ 0xc39a0af3, "flow_rule_match_l2tpv3" },
	{ 0xe65100ea, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2c44c6d7, "xsk_tx_peek_release_desc_batch" },
	{ 0x95a16754, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd9f9b934, "dmam_alloc_attrs" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0x93ba6ce2, "devl_lock" },
	{ 0x4a8764d7, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x68d54638, "ndo_dflt_bridge_getlink" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8801b2bd, "xdp_features_set_redirect_target" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8c98c969, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x318787b1, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe50d4dc9, "request_firmware" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0xe91f4433, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0xfd1b9969, "flow_rule_match_cvlan" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0x8012f6f9, "devlink_params_unregister" },
	{ 0x700b90e5, "dma_sync_single_for_device" },
	{ 0x66fe74ff, "pci_num_vf" },
	{ 0x4c0e79a9, "flow_rule_match_eth_addrs" },
	{ 0x812df797, "skb_add_rx_frag" },
	{ 0x3619f1f5, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4a99c27c, "ptp_clock_index" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2557e40, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e2e3adb, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5b83fa1d, "devl_rate_leaf_destroy" },
	{ 0x7462c26a, "devlink_register" },
	{ 0x883b91d9, "xdp_do_redirect" },
	{ 0x6317e697, "devlink_free" },
	{ 0xf901007b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x57f7b722, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe61aa202, "devl_rate_node_create" },
	{ 0xb2c4a624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x106b9cf4, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x9c99d5bc, "pci_set_power_state" },
	{ 0x4d2ba9f0, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x95729da8, "pci_irq_vector" },
	{ 0x35d87fa2, "flow_rule_match_ipv4_addrs" },
	{ 0xb8d2cf6c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7812a92, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xeb35e4b8, "devlink_flash_update_status_notify" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0xa0a329e1, "pci_restore_msi_state" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x15b89439, "xdp_return_buff" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x2f6bf21e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x39067451, "dma_map_page_attrs" },
	{ 0x39e4f389, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb4ede4d0, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x32c863f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf8e3a82a, "put_device" },
	{ 0x2df2e785, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x6699245b, "__napi_schedule" },
	{ 0xd11935d7, "ipv6_skip_exthdr" },
	{ 0x7f13f1e0, "xsk_set_rx_need_wakeup" },
	{ 0x12a8d25a, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x4379a6d7, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5a35338f, "__hw_addr_unsync_dev" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xf2ed1010, "napi_gro_receive" },
	{ 0x94f6c581, "xdp_features_clear_redirect_target" },
	{ 0x2b53ba1b, "netdev_pick_tx" },
	{ 0xf4bf29aa, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x94702579, "xp_raw_get_dma" },
	{ 0x6708de0d, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa89fa842, "xdp_rxq_info_is_reg" },
	{ 0x87ee45d7, "flow_rule_match_enc_opts" },
	{ 0xbf8d52c5, "flow_block_cb_setup_simple" },
	{ 0x699ca0bd, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc2ef25a5, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x890f66c8, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xaf6b16e2, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb13e281f, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xf4cfb4de, "vlan_dev_real_dev" },
	{ 0xc080c9ae, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9eee73b9, "devm_kmemdup" },
	{ 0xfa2317, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x4fbe9396, "devlink_port_unregister" },
	{ 0xe3608582, "devlink_flash_update_timeout_notify" },
	{ 0x7209e5f, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xc6242efb, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc9f9006, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8444fc71, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x803bf0b3, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe1d82aa0, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x384de6c6, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2aa215a, "__auxiliary_device_add" },
	{ 0xd61e3b39, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2d2f34bb, "netif_set_real_num_rx_queues" },
	{ 0x179e9c1e, "flow_indr_block_cb_alloc" },
	{ 0x222f9c7b, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x11c2fa1f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc592ad5c, "pci_device_is_present" },
	{ 0x5c77f188, "pci_read_config_word" },
	{ 0xa4718d68, "pcie_flr" },
	{ 0x4dbfef25, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x736ab56d, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x26902855, "dcbnl_ieee_notify" },
	{ 0xf9379035, "xsk_uses_need_wakeup" },
	{ 0x828c9abc, "register_netdev" },
	{ 0xa5fb3c64, "dev_mc_del" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0xee19a5a4, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0xa1cf8d43, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4371ec18, "netif_tx_stop_all_queues" },
	{ 0x6cb4632f, "pci_restore_state" },
	{ 0x209a6916, "bpf_trace_run1" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x98bf538f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xd5a089f2, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x566272e6, "dcb_getapp" },
	{ 0x5395765, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x78aea9c1, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7775de5, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2c4db304, "netif_schedule_queue" },
	{ 0x85efeb9c, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9c5327e3, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4d9ef751, "flow_rule_match_ipv6_addrs" },
	{ 0x405d6d53, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa1bb840c, "ptp_clock_unregister" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0xaf40cfc2, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xab592786, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf12a5756, "dma_set_coherent_mask" },
	{ 0x745a981, "xa_erase" },
	{ 0x9e0a6c1f, "flow_rule_match_pppoe" },
	{ 0x841f162c, "flow_rule_match_enc_control" },
	{ 0xcd370d6d, "bpf_trace_run3" },
	{ 0xaad495e, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x915dce51, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x47c6516d, "rps_may_expire_flow" },
	{ 0x23b1a43d, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd21b3e0e, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xcd94cd8a, "devlink_params_register" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0xce0beef, "kthread_destroy_worker" },
	{ 0x77fff309, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8c10a3f, "flow_rule_match_enc_ports" },
	{ 0x4cfb8861, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8bf28078, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3cdea7f7, "pcie_print_link_status" },
	{ 0x4fdd714e, "xp_set_rxq_info" },
	{ 0xc02e3167, "flow_rule_match_vlan" },
	{ 0x76bf10fd, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd3f94e88, "napi_build_skb" },
	{ 0xc8e7e1d0, "netdev_master_upper_dev_get_rcu" },
	{ 0x20458b6f, "__xdp_rxq_info_reg" },
	{ 0x697eae0e, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xff2e948b, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x58fbf6a0, "__hw_addr_sync_dev" },
	{ 0xf514b454, "devlink_port_register_with_ops" },
	{ 0x1da5fabd, "pci_disable_sriov" },
	{ 0xb7237bc9, "pldmfw_flash_image" },
	{ 0x31e24d21, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xab412d8, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7eb73d2d, "dev_uc_add_excl" },
	{ 0xac36dc78, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x79a92811, "xp_free" },
	{ 0xa828def0, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3b0afeb3, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2e67a4d, "netif_set_tso_max_size" },
	{ 0x26d814e2, "__skb_flow_dissect" },
	{ 0x8eab338a, "vlan_dev_vlan_id" },
	{ 0x881719b8, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x4a26b87e, "pcim_iomap_table" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x56e9b9d6, "xdp_master_redirect" },
	{ 0x89ab176c, "__devm_add_action" },
	{ 0x7e391d12, "napi_schedule_prep" },
	{ 0x540f9ba9, "napi_consume_skb" },
	{ 0x711f8d80, "pci_read_config_byte" },
	{ 0xc49b32aa, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7c425a87, "napi_disable" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x93a88fda, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x2d2c9767, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe326b73c, "pci_free_irq_vectors" },
	{ 0xcd6e165d, "flow_rule_match_control" },
	{ 0xe21fb5c, "flow_rule_match_ip" },
	{ 0x1775d71b, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe4b2dd46, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xba3137f3, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x874f937c, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x628e77, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xdb4ab920, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0474FC748013691B3D5E3EB");
