#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x0e8c6aa1, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x2eeba3e7, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xbcf5c95d, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xcf698c10, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x03a9cc7d, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xb6db2216, "");
SYMBOL_CRC(mlx5_cmd_check, 0x15988ed5, "");
SYMBOL_CRC(mlx5_cmd_do, 0x7fc73761, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xa437a592, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x8e8c0db3, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x2af12cf3, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x1202c871, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x58a4db78, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xf9be24ae, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x18dd4b22, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xfd1911dc, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x36593813, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xd2333bdf, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xb99a2ecf, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x4ec0f416, "");
SYMBOL_CRC(mlx5_eq_enable, 0x07d12eb3, "");
SYMBOL_CRC(mlx5_eq_disable, 0x42ead9a7, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xc39d8204, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xdc3a6b7b, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xeaee8414, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x3cf5fd41, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x37a6f79a, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x424fecda, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x263a4525, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xde7c1612, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xa7ebae1c, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x1920141c, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xd96c9f0b, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x8f278268, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x0b634bad, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x40ba5f1d, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x348bba7e, "");
SYMBOL_CRC(mlx5_create_cq, 0x9e1d1089, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xd6174eab, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x31a26c1b, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x89740b46, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xa1a9a281, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x25f823e0, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xf5d28bc4, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x67b00ee9, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x24af73be, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x178ed8a0, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x697c1a55, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x85de13f7, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xc56bb5aa, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x9921cb25, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xa8da6872, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xb1a96b64, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xc723b6e1, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xd168fdf0, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7321b3f3, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x8cfaea6e, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xe1233475, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x0165f176, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x101dd0d6, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xc6ff1b0d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x795d53cf, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xac49f4d2, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x822367ee, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x811f6e1d, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x9f9763e6, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x184c2d70, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xffee7ab8, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xcd553720, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x64a20dfc, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x73d02cb5, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x2b3cd8e2, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x02949c9b, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x75fc04d4, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x54db2918, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x866cd315, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x5e823cd4, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x055ea76d, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x15e942ea, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xb59f3325, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x5a484ee7, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xfde41f4d, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xe10c4271, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x9d6863af, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x9e5d98bb, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xd4bac0f9, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xf68b67ed, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x464dddf2, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xa2153688, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xcd3dbe38, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x99a3ef5d, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x81fba32b, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xcf361e5c, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xaa84c142, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x39b48ede, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xda9d039e, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x16ba607e, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x63d5bab3, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x20f3c9db, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x62298f30, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xbc3d08d0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x633031ca, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xdb67d446, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xa34036d1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xa36f1711, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xa61c3bbb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xf2628c3e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xba1fd2ec, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x72c4cd29, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x6d5e8a87, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x084d4a82, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x3fe7f7e9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x3fd9fda0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x9805e697, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x217fe03b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xfba5bc15, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x2def370c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xdeb209ef, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xe76478c8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x909c2bbe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xc2c80ae5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x7a850a5d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xe5aa2a56, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x2dc0bc8e, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x2cdb868c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x269c4ac5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x7812342e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xaa3b15f5, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xada58d91, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x1fdd7aa5, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf5d1ec45, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x86950e76, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd6998663, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb2823b91, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x8f06a941, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xc4ec7728, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x33c0dfda, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x1b032834, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xbe6dc365, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x37e415d5, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x736fc431, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x44712109, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xc4ca5251, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x1a9e0703, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x78900560, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xcc2d7381, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x611b2a9a, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x8bbd7ca6, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xfe16b915, "");
SYMBOL_CRC(mlx5_msix_free, 0xe7f370bd, "");
SYMBOL_CRC(mlx5_fc_create, 0x98489dfd, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x0cc0720c, "");
SYMBOL_CRC(mlx5_fc_query, 0x691067a8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x303e2421, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xb678e5b6, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xb8439bc2, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x1d1cb08b, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x0c609852, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xb71b5d79, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x176ea1da, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x122c4355, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xc6878146, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x98077dc2, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x95761006, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x33ce85e3, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x5280c8c9, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x84e56aeb, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x3b99b1ef, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x192d2558, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xa34e290f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xd64c132a, "");
SYMBOL_CRC(mlx5_notifier_register, 0xd9c73dbf, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x864b5c43, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x5e0ce68e, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x5117d766, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x5707513d, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x0d7dc5f0, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x2b0fadff, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xa8819eea, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3f01d9fc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x1add289e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x7f2d2f80, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xe6479d42, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x7b41141d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x321e5dda, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xbb86e0de, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0cdfd23c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x9de06086, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xf0964a43, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x2d51b362, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x53d685b6, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xf24a6f66, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xbaa1156c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xd06ef337, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xada4b6c7, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x58044924, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x286e50cc, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x82eb5486, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xb963086d, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xe5b87d6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x328d5863, "__inet_lookup_established" },
	{ 0x498c009b, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3628d21, "alloc_etherdev_mqs" },
	{ 0xec9ad092, "secpath_set" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc15734c8, "pci_save_state" },
	{ 0xa4b1ab49, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9ae2e4ab, "xp_alloc" },
	{ 0x1cd0b6b, "pcie_capability_read_word" },
	{ 0xbe69c77d, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xde06ec28, "bpf_prog_put" },
	{ 0x12645b14, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a06a9bf, "pci_cfg_access_unlock" },
	{ 0x8f3adbdf, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x99740385, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x40734db7, "skb_copy_bits" },
	{ 0x8e565457, "dma_pool_create" },
	{ 0xf2078095, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xebe29e89, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1c465287, "pci_enable_device" },
	{ 0x91068f32, "skb_put" },
	{ 0x26827126, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x94e8a8e, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7cf2c00b, "auxiliary_device_init" },
	{ 0xdd18105, "netdev_update_features" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xe8aeb9d4, "pci_alloc_irq_vectors" },
	{ 0xe65100ea, "netif_napi_add_weight" },
	{ 0x771a6f4f, "pci_enable_atomic_ops_to_root" },
	{ 0x5da76965, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2af5b97a, "dump_page" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x2fc8e0b0, "xsk_clear_tx_need_wakeup" },
	{ 0x6c3896a1, "udp4_hwcsum" },
	{ 0x93ba6ce2, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x4a8764d7, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x8b22482, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x318787b1, "dma_unmap_page_attrs" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0xa41972c0, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x700b90e5, "dma_sync_single_for_device" },
	{ 0x58b1b7fd, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x66fe74ff, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x812df797, "skb_add_rx_frag" },
	{ 0xa581c30e, "xfrm_state_check_expire" },
	{ 0x3619f1f5, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4a99c27c, "ptp_clock_index" },
	{ 0xc1259206, "pci_request_regions" },
	{ 0x2a00b6e8, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2557e40, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e2e3adb, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbe60e315, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7462c26a, "devlink_register" },
	{ 0xad0de6fb, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xc6e90dd0, "seq_lseek" },
	{ 0xd5c1774c, "page_pool_destroy" },
	{ 0x883b91d9, "xdp_do_redirect" },
	{ 0x21b8b22e, "__put_devmap_managed_page_refs" },
	{ 0x6317e697, "devlink_free" },
	{ 0xb482d890, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x57f7b722, "bpf_trace_run2" },
	{ 0xb2c4a624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x106b9cf4, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x95729da8, "pci_irq_vector" },
	{ 0xb8d2cf6c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x79fbfc9f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0xc0964ed4, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89369fee, "sock_gen_put" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x8540053d, "pci_cfg_access_lock" },
	{ 0x6ebedf9, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x2f6bf21e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6cd50bdc, "ptp_find_pin" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x4c99b028, "pci_read_config_dword" },
	{ 0x6e07abe1, "request_firmware_direct" },
	{ 0xe34dd3, "auxiliary_driver_unregister" },
	{ 0x39067451, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x39e4f389, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb4ede4d0, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf8e3a82a, "put_device" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x6699245b, "__napi_schedule" },
	{ 0xd562bc02, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xae81f356, "pcie_relaxed_ordering_enabled" },
	{ 0x7f13f1e0, "xsk_set_rx_need_wakeup" },
	{ 0x4b3f5039, "kmalloc_node_trace" },
	{ 0x99c91fbe, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x4379a6d7, "__free_pages" },
	{ 0x19344c84, "kmem_cache_alloc" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xf2ed1010, "napi_gro_receive" },
	{ 0x261014d4, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x2b53ba1b, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x94702579, "xp_raw_get_dma" },
	{ 0x6708de0d, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa89fa842, "xdp_rxq_info_is_reg" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfa5c6420, "work_busy" },
	{ 0xf0e3109a, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x7e9ef8bb, "devl_health_reporter_create" },
	{ 0xbf8d52c5, "flow_block_cb_setup_simple" },
	{ 0x699ca0bd, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x319276ef, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xde7703a9, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfa2317, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x4fbe9396, "devlink_port_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xc6242efb, "softnet_data" },
	{ 0x21a0c831, "simple_open" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcfe252ee, "bus_find_device" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xfc9f9006, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8444fc71, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x803bf0b3, "xp_dma_sync_for_cpu_slow" },
	{ 0x2d88aa30, "xsk_tx_peek_desc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdf50719f, "hwmon_device_register_with_info" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xe1d82aa0, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x384de6c6, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2aa215a, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x415d7b5f, "irq_get_irq_data" },
	{ 0xe50964f5, "dev_remove_pack" },
	{ 0x2d2f34bb, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x60ed3b6c, "dev_get_by_index" },
	{ 0x6f2e59ac, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xf61c583f, "skb_store_bits" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc19746b9, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x825f136c, "kmem_cache_free" },
	{ 0xa4dd5943, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb1458eba, "debugfs_remove" },
	{ 0x5c77f188, "pci_read_config_word" },
	{ 0x4dbfef25, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x736ab56d, "xsk_clear_rx_need_wakeup" },
	{ 0x3024ce8a, "unregister_netdevice_notifier_net" },
	{ 0xf9379035, "xsk_uses_need_wakeup" },
	{ 0x828c9abc, "register_netdev" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x3da7022f, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x53566979, "debugfs_create_size_t" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0xf37fc431, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0xa1cf8d43, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x6cb4632f, "pci_restore_state" },
	{ 0x209a6916, "bpf_trace_run1" },
	{ 0x795bbb24, "__inet6_lookup_established" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x98bf538f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xd5a089f2, "dma_sync_single_for_cpu" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe90a63b8, "page_pool_create" },
	{ 0x771a1c68, "skb_checksum" },
	{ 0x56ca5ab5, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6744fffb, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xccaf33d0, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7775de5, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2c4db304, "netif_schedule_queue" },
	{ 0x85efeb9c, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x9c5327e3, "pci_set_master" },
	{ 0xb489aab1, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfa252a8d, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x405d6d53, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x5af2e19c, "devl_params_unregister" },
	{ 0xa1bb840c, "ptp_clock_unregister" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0xaf40cfc2, "xp_dma_unmap" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x9bd7cf70, "devlink_trap_report" },
	{ 0x1b42c63d, "__neigh_event_send" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0x3f3f5f80, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9850645, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xab592786, "devl_unlock" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf12a5756, "dma_set_coherent_mask" },
	{ 0x852e0805, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf7c8edef, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x48bacd4a, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6a6f3826, "debugfs_create_file" },
	{ 0x47c6516d, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x23b1a43d, "xsk_set_tx_need_wakeup" },
	{ 0x40b548b7, "__dev_queue_xmit" },
	{ 0xd21b3e0e, "netdev_reset_tc" },
	{ 0xf0a22c54, "neigh_destroy" },
	{ 0x5d278954, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xb0b47a57, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b0f653a, "current_work" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x4cfb8861, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2888aa77, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x62871ec1, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x55a89370, "devl_assert_locked" },
	{ 0x3cdea7f7, "pcie_print_link_status" },
	{ 0x4fdd714e, "xp_set_rxq_info" },
	{ 0xc9bb791c, "alloc_pages" },
	{ 0x76bf10fd, "xdp_rxq_info_unreg" },
	{ 0xd6df40a3, "page_pool_alloc_pages" },
	{ 0x66af270a, "devl_param_driverinit_value_get" },
	{ 0xd3f94e88, "napi_build_skb" },
	{ 0xc8e7e1d0, "netdev_master_upper_dev_get_rcu" },
	{ 0x7f2aa4f3, "__folio_put" },
	{ 0x20458b6f, "__xdp_rxq_info_reg" },
	{ 0x7d93b1ec, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8ea791cf, "bpf_prog_inc" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xc3fb41b8, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x4221fa11, "seq_printf" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xff2e948b, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf514b454, "devlink_port_register_with_ops" },
	{ 0x1da5fabd, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xab412d8, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x348b43a9, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x3b3539c7, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xac36dc78, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x79a92811, "xp_free" },
	{ 0xd129a2e9, "page_pool_update_nid" },
	{ 0x810f2891, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x3b0afeb3, "dma_set_mask" },
	{ 0x9d0c0868, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2e67a4d, "netif_set_tso_max_size" },
	{ 0x26d814e2, "__skb_flow_dissect" },
	{ 0x881719b8, "pci_msix_alloc_irq_at" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x56e9b9d6, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4ec56e89, "xp_raw_get_data" },
	{ 0x4996b56a, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7e391d12, "napi_schedule_prep" },
	{ 0xdf92dcbb, "qdisc_reset" },
	{ 0x540f9ba9, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0xc49b32aa, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7c425a87, "napi_disable" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x93a88fda, "dcb_ieee_delapp" },
	{ 0x2956fec7, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x655cdfba, "debugfs_create_u8" },
	{ 0x604a39b4, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7c3e5845, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x49eb396f, "pcie_bandwidth_available" },
	{ 0xe326b73c, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1775d71b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xba3137f3, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xb4062ffa, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8031ca2a, "xsk_tx_release" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x22d92797, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6adafa27, "pci_iov_get_pf_drvdata" },
	{ 0x43bda3ea, "pci_write_config_dword" },
	{ 0xc409348c, "pci_bus_type" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x628e77, "netdev_info" },
	{ 0xa7d6c89d, "neigh_lookup" },
	{ 0xd5fee686, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "8B6BE74DD4EAAC2498D5B01");
