#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x5533442b, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x00a742a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x890f66c8, "dev_open" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2e7eef8b, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x90dc3e41, "dev_set_mtu" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc409348c, "pci_bus_type" },
	{ 0xf92f066b, "vlan_uses_dev" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x4927afbf, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd737206f, "vlan_vid_del" },
	{ 0xb47a28f5, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x86dd226c, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7882677, "dev_uc_sync_multiple" },
	{ 0x273aae38, "dev_mc_sync_multiple" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2b53ba1b, "netdev_pick_tx" },
	{ 0x3628d21, "alloc_etherdev_mqs" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x828c9abc, "register_netdev" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x22ae6ddb, "failover_register" },
	{ 0x307f7a58, "_dev_err" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x99c91fbe, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc98b4a5f, "failover_slave_unregister" },
	{ 0x4d45deb2, "failover_unregister" },
	{ 0x308e57ed, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7e3611e3, "netdev_lower_state_changed" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x4371ec18, "netif_tx_stop_all_queues" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11c2fa1f, "dev_close" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe4976efa, "vlan_vids_add_by_dev" },
	{ 0x8bf28078, "call_netdevice_notifiers" },
	{ 0x628e77, "netdev_info" },
	{ 0xed0b4eaa, "dev_uc_unsync" },
	{ 0x18486e85, "dev_mc_unsync" },
	{ 0x47cb921d, "vlan_vids_del_by_dev" },
	{ 0x40b548b7, "__dev_queue_xmit" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xf167a66b, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe739fe19, "passthru_features_check" },
	{ 0xf901007b, "eth_validate_addr" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
