#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xa8f6f47c, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xc05e7784, "");
SYMBOL_CRC(team_options_register, 0xb0839736, "");
SYMBOL_CRC(team_options_unregister, 0x0e3b3d65, "");
SYMBOL_CRC(team_option_inst_set_change, 0xe5bd5d95, "");
SYMBOL_CRC(team_options_change_check, 0x4d1f097c, "");
SYMBOL_CRC(team_mode_register, 0xb5b56689, "");
SYMBOL_CRC(team_mode_unregister, 0x8fdeb0f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaf9aad6a, "dev_set_mac_address" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfc3cd81f, "netlink_unicast" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf82c0569, "dev_set_promiscuity" },
	{ 0x48cc39f9, "dev_set_allmulti" },
	{ 0xed0b4eaa, "dev_uc_unsync" },
	{ 0x18486e85, "dev_mc_unsync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90dc3e41, "dev_set_mtu" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xb7882677, "dev_uc_sync_multiple" },
	{ 0x273aae38, "dev_mc_sync_multiple" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0xd737206f, "vlan_vid_del" },
	{ 0xb47a28f5, "vlan_vid_add" },
	{ 0x4a9bedde, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0x4ebfd666, "genlmsg_put" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0xcf469441, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd25690be, "ether_setup" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x512dd1b0, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3966e5a6, "genl_register_family" },
	{ 0x90a1be77, "rtnl_link_unregister" },
	{ 0x958b8945, "genl_unregister_family" },
	{ 0x40b548b7, "__dev_queue_xmit" },
	{ 0x38ef36e2, "netpoll_send_skb" },
	{ 0x9c18a217, "netlink_broadcast" },
	{ 0xd342850f, "nla_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x86449474, "skb_trim" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xda47bac6, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x34098659, "__netpoll_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7e3611e3, "netdev_lower_state_changed" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8bf28078, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xde22a12a, "__nlmsg_put" },
	{ 0xb2c4a624, "netdev_warn" },
	{ 0x4927afbf, "__ethtool_get_link_ksettings" },
	{ 0xaeda159e, "try_module_get" },
	{ 0x628e77, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xef6f35dd, "netdev_has_upper_dev" },
	{ 0x8e7dc705, "dev_uc_flush" },
	{ 0x2174f62e, "dev_mc_flush" },
	{ 0xf92f066b, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x890f66c8, "dev_open" },
	{ 0xe4976efa, "vlan_vids_add_by_dev" },
	{ 0x29810d7a, "netdev_rx_handler_register" },
	{ 0x41ea5b31, "netdev_master_upper_dev_link" },
	{ 0x47cb921d, "vlan_vids_del_by_dev" },
	{ 0x11c2fa1f, "dev_close" },
	{ 0x6b3432fe, "dev_disable_lro" },
	{ 0x60826121, "netdev_rx_handler_unregister" },
	{ 0x55d4eab3, "netdev_upper_dev_unlink" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2e7eef8b, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x60ed3b6c, "dev_get_by_index" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x19b353f0, "skb_clone" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe739fe19, "passthru_features_check" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
