#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x3d19d9e7, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xaf155694, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x24021880, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xcba2852d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xb0f28d8f, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf2787ed, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x40734db7, "skb_copy_bits" },
	{ 0xde22a12a, "__nlmsg_put" },
	{ 0xfdad989f, "netdev_adjacent_change_commit" },
	{ 0x760f1b4b, "eth_mac_addr" },
	{ 0x91068f32, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2beceb6, "ip6_dst_hoplimit" },
	{ 0x15477fa0, "param_ops_ushort" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xc5dc4c32, "udp_sock_create4" },
	{ 0x22b75ba8, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x63589d78, "udp_tunnel6_xmit_skb" },
	{ 0x512dd1b0, "rtnl_link_register" },
	{ 0xff010c96, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf901007b, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x6d751779, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf29b4e9b, "rtnl_create_link" },
	{ 0x467cc27b, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x308e57ed, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8f7f4203, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd25690be, "ether_setup" },
	{ 0x3cac46ad, "udp_tunnel_drop_rx_port" },
	{ 0xbe9299a3, "netdev_upper_dev_link" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0xc5cae0c5, "register_pernet_subsys" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0xf167a66b, "netdev_core_stats_alloc" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0xa307b50f, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xebb9bc8e, "eth_gro_complete" },
	{ 0x4d4f230d, "rtnl_set_sk_err" },
	{ 0xa2ba0074, "eth_gro_receive" },
	{ 0x3384f436, "rtnl_configure_link" },
	{ 0x21e40af1, "skb_tunnel_check_pmtu" },
	{ 0xc98e6a29, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6ad2a67c, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x6d231cd2, "__dev_get_by_index" },
	{ 0x90a1be77, "rtnl_link_unregister" },
	{ 0x7a78f5ca, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa6a476aa, "ipv6_stub" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0xe3d3d5d4, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa1fb505b, "dev_get_by_index_rcu" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6f5f9e, "gro_cells_receive" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x55d4eab3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x70dbd8cb, "ip_mc_join_group" },
	{ 0x6d8e48f1, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb0576c33, "lock_sock_nested" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0x876129c1, "nexthop_find_by_id" },
	{ 0x8c86ebdd, "arp_create" },
	{ 0x4927afbf, "__ethtool_get_link_ksettings" },
	{ 0x5450ab3b, "netdev_adjacent_change_prepare" },
	{ 0x285ede9f, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfd870d74, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbe3c0943, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb777dda7, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x39853b69, "__iptunnel_pull_header" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x9107613c, "dev_get_tstats64" },
	{ 0x2a5dea4e, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x8c071935, "setup_udp_tunnel_sock" },
	{ 0xb4c88686, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x86449474, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5bcb13bf, "skb_scrub_packet" },
	{ 0xe528e8b1, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xad759312, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0a22c54, "neigh_destroy" },
	{ 0x8c3957f4, "dst_cache_get_ip6" },
	{ 0x3acdb603, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x2dcad37f, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x48d88c97, "dst_cache_set_ip6" },
	{ 0x2332ec90, "rtnl_notify" },
	{ 0x97993d15, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9ad2458f, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x19b353f0, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5177c79d, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8adfa2ad, "dst_release" },
	{ 0x3cf7be4b, "unregister_nexthop_notifier" },
	{ 0x3b3539c7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x801f6e33, "udp_tunnel_notify_del_rx_port" },
	{ 0x502834f5, "register_nexthop_notifier" },
	{ 0x53bd5d2c, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9912d63b, "gro_find_receive_by_type" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x628e77, "netdev_info" },
	{ 0xa7d6c89d, "neigh_lookup" },
	{ 0x3214cddb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcf469441, "register_netdevice" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "89AC3FF60EE280C8E0C1D71");
