#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xae6e5090, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0xfa921cd0, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x52d44832, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x9567e897, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x1e0cbd71, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xfe318eb3, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0xfc58a4ab, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x6e498ea3, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xb98f542d, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xe2d92c44, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xac2af1f1, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x26b7dd83, "_gpl");
SYMBOL_CRC(__mt76u_init, 0xc7461e21, "_gpl");
SYMBOL_CRC(mt76u_init, 0xcad247c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdfbb4de2, "usb_free_urb" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0x91068f32, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa6167c74, "page_pool_alloc_frag" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x812df797, "skb_add_rx_frag" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe6581ef8, "mt76_has_tx_pending" },
	{ 0xd5c1774c, "page_pool_destroy" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x57f7b722, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6b691d9, "kthread_park" },
	{ 0x2d897f3b, "sched_set_fifo_low" },
	{ 0xc0a048b2, "mt76_tx_status_check" },
	{ 0xe9603c62, "wake_up_process" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0xfac8dde0, "usb_submit_urb" },
	{ 0xe7053dbc, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xed8c4ffa, "build_skb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb680a583, "usb_control_msg" },
	{ 0x59b677e0, "usb_poison_urb" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x787562b3, "usb_unpoison_urb" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9b14cf8a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x56ca5ab5, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x43bb8e6d, "mt76_queue_tx_complete" },
	{ 0x530efcba, "kthread_create_on_node" },
	{ 0xcd370d6d, "bpf_trace_run3" },
	{ 0x886ed005, "mt76_rx_poll_complete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1aca7cfa, "usb_kill_urb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa894814a, "usb_init_urb" },
	{ 0x930de2e5, "mt76_create_page_pool" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc8d66c2, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "mt76");


MODULE_INFO(srcversion, "160408FF8171C53C4993C57");
