#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x7e92c3c4, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x0d020b60, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x6dfff675, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x76cef482, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x8c7124d8, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x94ed1d3d, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xfdf9be81, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x702d7692, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x0fa1e84b, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x063564f4, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xaddbb30b, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x7b9da1ea, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x4f31729e, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x275c6d21, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xfd915866, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xdd99cb94, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x362e401f, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x8029d3dd, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x33022b66, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x10f8530a, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xb9c8d586, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x2e7637ed, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xc38ca860, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xa66ea3ed, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xc8d2019c, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x5593c192, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x33b6451a, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xfe895340, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x4303df26, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x4116df09, "_gpl");
SYMBOL_CRC(rt2800_config, 0x330ddb97, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x76a64228, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x2a50a93a, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x04094d2e, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x641b68c7, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xd2d55dda, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x2fc145a5, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x753c246d, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xb9a8de90, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xc3be30d5, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x64140862, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x61ff4efa, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x8ffe7fc3, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x888460f5, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x1a7dc825, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x307f7a58, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x693be0db, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1eb8fb99, "rt2x00lib_txdone" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0xb4eea85f, "rt2x00queue_get_entry" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x30a0aa4c, "rt2x00lib_get_bssidx" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa6f484e, "_dev_info" },
	{ 0x5f0af2a4, "rt2x00mac_conf_tx" },
	{ 0x2b80e31b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd7856b9, "rt2x00lib_txdone_noinfo" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x6fac7192, "rt2x00debug_dump_frame" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x1c803278, "__skb_pad" },
	{ 0x124054c6, "ieee80211_restart_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0x899daadf, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
