#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x3c93c12f, "");
SYMBOL_CRC(rtw_dump_reg, 0x36692346, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x8ed91414, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x2d8b7b65, "");
SYMBOL_CRC(rtw_core_init, 0xec17962f, "");
SYMBOL_CRC(rtw_core_deinit, 0x526cdaea, "");
SYMBOL_CRC(rtw_register_hw, 0x00cbfdc4, "");
SYMBOL_CRC(rtw_unregister_hw, 0x6758f0c1, "");
SYMBOL_CRC(rtw_ops, 0xf1d06435, "");
SYMBOL_CRC(check_hw_ready, 0xbd85b62f, "");
SYMBOL_CRC(rtw_restore_reg, 0x9c8a57ab, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0xc3ce16d2, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x9b7afd74, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xa1b5eb38, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xd54da53c, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xe0561128, "");
SYMBOL_CRC(rtw_rx_stats, 0x5ba630a5, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x4da6dbe5, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x8a474c1c, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x991f3934, "");
SYMBOL_CRC(rtw_phy_init, 0x15cdf594, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x029974ab, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x1c13b093, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xf85b46b3, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xf4e6ba1c, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x1568d7d9, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xdc990264, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x064fe7b5, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xd38f7750, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xf68a35ea, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xf2cfd043, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x7e9f28d1, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x8d72fb53, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x02421b66, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xae520791, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x7fdf4b24, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x2296a7b4, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x5c37b6d7, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x9ea7c92a, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x2bf8da42, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x13187d09, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x51d11415, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xa8ee467c, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0xde2b0572, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xd2f6084a, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xeda7ef93, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x7d1d53c6, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x95c01b8c, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x71c2ef7c, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xc9e13aba, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xdc86194e, "");
SYMBOL_CRC(rtw_power_mode_change, 0xb52409c7, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x33140de6, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xc0184b61, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x16d22815, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xb2483b18, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x88a6fb55, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x4570e176, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x5ede5500, "");
SYMBOL_CRC(rtw_regd_get, 0xf1f28342, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x628130ba, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2242e452, "ieee80211_connection_loss" },
	{ 0xac9d1311, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9683def, "ieee80211_txq_get_depth" },
	{ 0xf2078095, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x91068f32, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x602e0e39, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x33c7f601, "ieee80211_probereq_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb44f60b0, "ieee80211_iterate_stations_atomic" },
	{ 0x8dcaab17, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc3e3e997, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xeb8695d3, "ieee80211_nullfunc_get" },
	{ 0x3e11463b, "ieee80211_pspoll_get" },
	{ 0xed963927, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x124054c6, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbaaa7e65, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xf1923c44, "ieee80211_find_sta" },
	{ 0x2ee4d570, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x28d6b386, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xc5ec1b7f, "skb_queue_tail" },
	{ 0x2b80e31b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xe8e37a6, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf29116b8, "ieee80211_queue_delayed_work" },
	{ 0x21fef19, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0x6ed32c09, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x22a91b76, "ieee80211_find_sta_by_ifaddr" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0xfda29d45, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa489a8ce, "ieee80211_iter_keys_rcu" },
	{ 0xb42045f5, "ieee80211_free_txskb" },
	{ 0x6fda7231, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x75b3ec89, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8abc0bfd, "ieee80211_stop_queues" },
	{ 0x61e53a6b, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x6b7f76bc, "ieee80211_scan_completed" },
	{ 0xd00d3539, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29515157, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3fe89a4b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa1fada3f, "skb_copy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6c5e4286, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x52500ce4, "ieee80211_request_smps" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x133e8e4, "ieee80211_queue_work" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AA6A6F9CCB2C14C73C098A");
