#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x504351fd, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x8c0297f1, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x989f1f01, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xe5060816, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x1f7ff839, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x68275632, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x94c4e373, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x89693625, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xbc665d52, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xd8003bea, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x097c4771, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x97147d73, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xb95f83d0, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x92fdb350, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xcb58b9e0, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x66f9aaf0, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xb8b54ea6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xecccc2ee, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xabe97924, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x194d870f, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x360296eb, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xba3a1b80, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xa37934d0, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x06ef5f1d, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x807f880d, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x083a086a, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xf633de58, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x6d61f3bc, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xb470cd72, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x5483a3d9, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x0075fd66, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x655916a1, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x8f854409, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x7bc6f503, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x68eae96f, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x38579a49, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x987e1082, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xfca9b97b, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x3996aabe, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x05054236, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x531d24e4, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xb52afce8, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xf6f584ad, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xc44ed80c, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf4cfb4de, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2fa2c07, "iscsi_host_remove" },
	{ 0xd6890d24, "pci_dev_put" },
	{ 0x252f3856, "iscsi_host_free" },
	{ 0x2dee441a, "pci_dev_get" },
	{ 0xdfac2c60, "iscsi_host_add" },
	{ 0xe33956e6, "iscsi_host_alloc" },
	{ 0x600e7656, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0xdb6f02d0, "cxgbi_ppm_init" },
	{ 0x32f7e86a, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd4c4ab98, "cxgbi_ppm_ppods_reserve" },
	{ 0x7d3ceff6, "dma_map_sg_attrs" },
	{ 0xbc8e8b92, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe9c23180, "cxgbi_ppm_ppod_release" },
	{ 0xbe24df6a, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd64519aa, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0xf49d3224, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x971fa54f, "iscsi_tcp_set_max_r2t" },
	{ 0x37b8237d, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xb76518d7, "iscsi_tcp_conn_setup" },
	{ 0x19a716e7, "iscsi_session_setup" },
	{ 0xe70bbacc, "iscsi_tcp_r2tpool_alloc" },
	{ 0x2c1f3aa1, "iscsi_session_teardown" },
	{ 0xfb046e5, "iscsi_tcp_r2tpool_free" },
	{ 0xb20c5e0, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xe31fd442, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x245115e6, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd355564b, "iscsi_unregister_transport" },
	{ 0xc9bb791c, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x139c4c48, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xf600db83, "iscsi_register_transport" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xd22ad68a, "ip6_route_output_flags" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb489b79c, "iscsi_lookup_endpoint" },
	{ 0xc23ae43b, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xbb5470b4, "iscsi_tcp_hdr_recv_prep" },
	{ 0x43461b7a, "iscsi_put_endpoint" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1a3955a7, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xd9d59847, "iscsi_tcp_recv_skb" },
	{ 0x91068f32, "skb_put" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x2af5b97a, "dump_page" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa0950364, "make_kuid" },
	{ 0x467cc27b, "ip_route_output_flow" },
	{ 0x8adfa2ad, "dst_release" },
	{ 0xf0a22c54, "neigh_destroy" },
	{ 0x1807b394, "__ip_dev_find" },
	{ 0x8e2126ae, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae76b707, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7f2aa4f3, "__folio_put" },
	{ 0x21b8b22e, "__put_devmap_managed_page_refs" },
	{ 0x4a9bedde, "module_put" },
	{ 0xf4ad0435, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5ac68882, "iscsi_destroy_endpoint" },
	{ 0x349146d2, "iscsi_create_endpoint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf2078095, "param_ops_uint" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
