#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x7a980684, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x4a926da9, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xd193caea, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x6ac8ab61, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xaada72ae, "");
SYMBOL_CRC(sdw_show_ping_status, 0xcb2d49d0, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xb9ab912b, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xe8d2d709, "");
SYMBOL_CRC(sdw_write_no_pm, 0x6d4bf252, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xeac16c2e, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x7c63cfaa, "");
SYMBOL_CRC(sdw_read_no_pm, 0x518839e6, "");
SYMBOL_CRC(sdw_update_no_pm, 0x6a071391, "");
SYMBOL_CRC(sdw_update, 0x3f92dddb, "");
SYMBOL_CRC(sdw_nread, 0x768f69e3, "");
SYMBOL_CRC(sdw_nwrite, 0x5c4799ce, "");
SYMBOL_CRC(sdw_read, 0x4d7a059b, "");
SYMBOL_CRC(sdw_write, 0x0c14a98e, "");
SYMBOL_CRC(sdw_compare_devid, 0xc7ab114d, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xd99c3ed7, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x44fad3b6, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x629946e5, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x84ee8227, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x3bd9a959, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x7860887c, "");
SYMBOL_CRC(sdw_slave_add, 0x4d35b992, "");
SYMBOL_CRC(sdw_master_read_prop, 0x03110a2c, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x31d96f25, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x4ead08ed, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x9172f227, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x764b972c, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x640835ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x504bcc14, "device_property_present" },
	{ 0x336c79a, "devm_device_add_groups" },
	{ 0xf9f6edd3, "is_acpi_device_node" },
	{ 0x2e370f75, "of_fwnode_ops" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa1c7980f, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5906a81a, "device_unregister" },
	{ 0xe60ed995, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b438660, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc6e90dd0, "seq_lseek" },
	{ 0x5c703e7c, "of_node_get" },
	{ 0x9339bc32, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2062d116, "devm_device_add_group" },
	{ 0x405ac9b9, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0xf0ecae84, "of_get_property" },
	{ 0x8a225b1d, "pm_generic_runtime_resume" },
	{ 0x946204fd, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xeb4b4264, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf8e3a82a, "put_device" },
	{ 0x8e0bbc08, "pm_runtime_enable" },
	{ 0x61cc2d83, "device_property_read_u32_array" },
	{ 0x5670cc7d, "fwnode_property_read_u32_array" },
	{ 0x223c0f9b, "dev_pm_domain_detach" },
	{ 0xd5f5d24b, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x53b7696b, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1458eba, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6aaab700, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1c343426, "device_register" },
	{ 0x51c7c8b9, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x1ddcc9b5, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8b9d2b2f, "devm_kasprintf" },
	{ 0xf7c8edef, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc827e1ab, "fwnode_property_present" },
	{ 0x6a6f3826, "debugfs_create_file" },
	{ 0x8a5e7fb2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12c9a45e, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4221fa11, "seq_printf" },
	{ 0x1b3a43df, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x810f2891, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1c1515f9, "acpi_dev_for_each_child" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xbf77743a, "__pm_runtime_suspend" },
	{ 0x66e04adb, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xc605bc51, "__pm_runtime_use_autosuspend" },
	{ 0x604a39b4, "single_open" },
	{ 0xacdae770, "__pm_runtime_disable" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0x10887aca, "driver_register" },
	{ 0xec14067a, "__pm_runtime_idle" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x748f0a59, "bus_register" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
