#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0xa16ff4aa, "");
SYMBOL_CRC(gss_krb5_checksum, 0x121c84f2, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x2f700f24, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0x2b2f1575, "");
SYMBOL_CRC(krb5_etm_checksum, 0x555db0d1, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79b5fef7, "crypto_skcipher_encrypt" },
	{ 0xa67fd82b, "crypto_alloc_ahash" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6ed080e5, "xdr_buf_trim" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x6fe8cd40, "xdr_process_buf" },
	{ 0xe923813e, "read_bytes_from_xdr_buf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x12b66e7b, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4561d521, "crypto_skcipher_setkey" },
	{ 0x3dd65e8d, "gss_mech_unregister" },
	{ 0x36c8ed3c, "crypto_destroy_tfm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe89caf18, "crypto_skcipher_decrypt" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x69827e7a, "crypto_shash_setkey" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbe0890e2, "crypto_shash_update" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa8c72261, "xdr_buf_subsegment" },
	{ 0x96b21302, "crypto_alloc_sync_skcipher" },
	{ 0xb8eabac, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x22aea807, "crypto_shash_final" },
	{ 0x3345abe7, "gss_mech_register" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xa436b30c, "write_bytes_to_xdr_buf" },
	{ 0x2bad2a90, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "354E8D30B7BC0A0A814B3BF");
