#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x3140114c, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x1f53a4da, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xd027b6fd, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x5e546638, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x43b21dba, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x4bf6d566, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x302b5455, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x317aae8f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x6cd36718, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x445fe65c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x7a7f6242, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x2c71e91b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x6c35ae2d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x690c5131, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xab1fb90c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x81b0742d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xb490f202, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x5e6e3480, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x37f466af, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xce22a705, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x1d80382d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x7e695984, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x54e143a8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x250c4f06, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x05d62c90, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x8297ed93, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x79a4a8b3, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x8c1ad8e1, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf79ea461, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xd899d602, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x1ee01621, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x288a0861, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x160b3889, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x9224b721, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x4a5754ad, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xf3a80b7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e26cc9c, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9a91e97d, "_copy_to_iter" },
	{ 0x312d10b9, "vsock_insert_connected" },
	{ 0x91068f32, "skb_put" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x22da9b75, "vsock_remove_sock" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0x5082ec4c, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xca85fffd, "bpf_trace_run8" },
	{ 0x8ebf9869, "sk_error_report" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x65e0bd57, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5160f0f8, "sk_free" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xa893adea, "__skb_recv_datagram" },
	{ 0xb0576c33, "lock_sock_nested" },
	{ 0x52fd5eeb, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5e95bbc8, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e7db88, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc4168dd2, "bpf_trace_run10" },
	{ 0x233a00d, "vsock_core_get_transport" },
	{ 0xf7ca9f1, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6f926ebe, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x5f020f58, "vsock_create_connected" },
	{ 0xf2acb6dd, "vsock_assign_transport" },
	{ 0x5e1795cf, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x3214cddb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x454aa3a7, "vsock_data_ready" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
