#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9699db2e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xdef51872, "drm_open" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8cd80355, "drm_poll" },
	{ 0x40e87b49, "drm_mode_crtc_set_gamma_size" },
	{ 0x11b6e18b, "drm_plane_enable_fb_damage_clips" },
	{ 0x2752b3d7, "drm_gem_shmem_dumb_create" },
	{ 0x43d874f6, "i2c_bit_add_bus" },
	{ 0x7c7811f3, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xfc6adf44, "drm_atomic_helper_shutdown" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0x57d0cd0e, "devm_ioremap" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa05c450f, "drm_crtc_cleanup" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc9277b52, "drm_encoder_cleanup" },
	{ 0x3f710066, "devm_arch_io_reserve_memtype_wc" },
	{ 0xb4cb7166, "drmm_mode_config_init" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0x626d3a89, "drm_connector_attach_encoder" },
	{ 0x4c99b028, "pci_read_config_dword" },
	{ 0x358f9a0e, "__devm_request_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0xec413425, "drm_atomic_helper_damage_iter_init" },
	{ 0xff26e178, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdabedee, "drm_atomic_helper_commit" },
	{ 0x127c237c, "drm_atomic_helper_check" },
	{ 0x2918ef86, "__drmm_mutex_release" },
	{ 0xcc418d5e, "drm_atomic_helper_connector_destroy_state" },
	{ 0x90e1768a, "drm_gem_mmap" },
	{ 0x3d03f09b, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x38611bab, "drm_ioctl" },
	{ 0x20756590, "drm_plane_cleanup" },
	{ 0x54d6d460, "i2c_del_adapter" },
	{ 0xfae1151, "drm_atomic_helper_commit_tail" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cac6458, "drm_connector_init_with_ddc" },
	{ 0x412c6412, "noop_llseek" },
	{ 0xb7cc8ca1, "drm_read" },
	{ 0x872ed36e, "drm_gem_fb_create_with_dirty" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa7b0df0a, "drm_gem_begin_shadow_fb_access" },
	{ 0x65f33252, "pci_map_rom" },
	{ 0x4f2639a5, "drm_atomic_helper_check_plane_state" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xccf9cd64, "drm_crtc_init_with_planes" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94e443fc, "__drm_dev_dbg" },
	{ 0x71c2b6a7, "drm_connector_helper_get_modes_from_ddc" },
	{ 0xb737540d, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2b1f04b5, "__devm_drm_dev_alloc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbd1961fc, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xea43dc55, "drm_atomic_helper_set_config" },
	{ 0xd8841f98, "drm_fbdev_generic_setup" },
	{ 0x1579cb60, "devm_arch_phys_wc_add" },
	{ 0xbc6f351a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x5ed6c3ce, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd4b12c74, "drm_connector_cleanup" },
	{ 0x4b50bd0, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28d1c2ba, "drm_universal_plane_init" },
	{ 0x715193e0, "drm_gem_destroy_shadow_plane_state" },
	{ 0xa9a043d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xea327834, "drm_crtc_enable_color_mgmt" },
	{ 0x4c4e6ddc, "drm_fb_memcpy" },
	{ 0x34cfd481, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3aa5efa3, "drm_helper_probe_single_connector_modes" },
	{ 0x7f68d34b, "__drm_atomic_helper_crtc_reset" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5c916a74, "drm_gem_reset_shadow_plane" },
	{ 0x95cf8dff, "pcim_iomap" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa13e7044, "drm_gem_end_shadow_fb_access" },
	{ 0xc00f7992, "drm_atomic_helper_page_flip" },
	{ 0xcba4c93a, "drm_atomic_helper_connector_reset" },
	{ 0xb38f0207, "drm_mode_config_reset" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x8c3f331b, "pci_unmap_rom" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x2d2c9767, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x227512f5, "drm_atomic_helper_update_plane" },
	{ 0xc7d70d12, "drm_compat_ioctl" },
	{ 0x902edf23, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x43bda3ea, "pci_write_config_dword" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xb4961dde, "drm_release" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_shmem_helper,drm_kms_helper");

MODULE_ALIAS("pci:v0000102Bd00000520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000534sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000538sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "57AAD4B62CACFD60DE4074E");
