#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0x4525a15d, "");
SYMBOL_CRC(nic_chip_recover_handler, 0xb6bf9b9b, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0xdda482bb, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0xbed44d6c, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0xe7c694ce, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0xd3127d55, "");
SYMBOL_CRC(nic_set_torus_param, 0x7c685b18, "");
SYMBOL_CRC(nic_get_torus_param, 0x7c590a41, "");
SYMBOL_CRC(nic_clean_stats64, 0x6af24ed5, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xca881ba7, "");
SYMBOL_CRC(nic_get_chipid, 0x9c542534, "");
SYMBOL_CRC(nic_get_mac_id, 0xb803a01e, "");
SYMBOL_CRC(nic_get_io_die_id, 0x6202b110, "");
SYMBOL_CRC(nic_get_chip_num, 0x4b539c3e, "");
SYMBOL_CRC(nic_get_io_die_num, 0xe70e8518, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0xcaa60f43, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0xb621c932, "");
SYMBOL_CRC(nic_set_tx_timeout, 0x5c0bea72, "");
SYMBOL_CRC(nic_get_sfp_present, 0xbea0a52d, "");
SYMBOL_CRC(nic_set_sfp_state, 0xc0898d9e, "");
SYMBOL_CRC(nic_disable_net_lane, 0xb6b6eac6, "");
SYMBOL_CRC(nic_get_net_lane_status, 0x1cb4b093, "");
SYMBOL_CRC(nic_disable_clock, 0x22356725, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0x723bb464, "");
SYMBOL_CRC(nic_get_port_fault_status, 0x92d86227, "");
SYMBOL_CRC(nic_get_port_wire_type, 0x71b4f4bd, "");
SYMBOL_CRC(nic_set_mac_state, 0x632aa820, "");
SYMBOL_CRC(nic_set_led, 0x5a67f509, "");
SYMBOL_CRC(nic_get_led_signal, 0xbf2c347e, "");
SYMBOL_CRC(nic_get_phy_reg, 0x5a8b56b6, "");
SYMBOL_CRC(nic_set_phy_reg, 0x0360271d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdd2ab90, "genphy_restart_aneg" },
	{ 0x3628d21, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1c803278, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12645b14, "page_pool_get_stats" },
	{ 0x40734db7, "skb_copy_bits" },
	{ 0xf2078095, "param_ops_uint" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0x91068f32, "skb_put" },
	{ 0x26827126, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa6167c74, "page_pool_alloc_frag" },
	{ 0x94e8a8e, "__napi_alloc_skb" },
	{ 0xe65100ea, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x95a16754, "pci_vfs_assigned" },
	{ 0x2af5b97a, "dump_page" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x318787b1, "dma_unmap_page_attrs" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0x700b90e5, "dma_sync_single_for_device" },
	{ 0x66fe74ff, "pci_num_vf" },
	{ 0x812df797, "skb_add_rx_frag" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd5c1774c, "page_pool_destroy" },
	{ 0x21b8b22e, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x57f7b722, "bpf_trace_run2" },
	{ 0xb2c4a624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9c99d5bc, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb8d2cf6c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x39067451, "dma_map_page_attrs" },
	{ 0x39e4f389, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x32c863f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd11935d7, "ipv6_skip_exthdr" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xf2ed1010, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x2b53ba1b, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6708de0d, "eth_get_headlen" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xbf8d52c5, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x7209e5f, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xc6242efb, "softnet_data" },
	{ 0x21a0c831, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x384de6c6, "netif_set_real_num_tx_queues" },
	{ 0x2d2f34bb, "netif_set_real_num_rx_queues" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xa4dd5943, "dma_alloc_attrs" },
	{ 0x6757cef2, "hnae3_register_client" },
	{ 0xb1458eba, "debugfs_remove" },
	{ 0x4dbfef25, "napi_enable" },
	{ 0x828c9abc, "register_netdev" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa1cf8d43, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4371ec18, "netif_tx_stop_all_queues" },
	{ 0x209a6916, "bpf_trace_run1" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x42b65106, "hnae3_register_ae_dev" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xd5a089f2, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe90a63b8, "page_pool_create" },
	{ 0x56ca5ab5, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2c4db304, "netif_schedule_queue" },
	{ 0x85efeb9c, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x405d6d53, "netdev_set_tc_queue" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaad495e, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6a6f3826, "debugfs_create_file" },
	{ 0xd21b3e0e, "netdev_reset_tc" },
	{ 0x5d278954, "dma_free_attrs" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7f2aa4f3, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x58fbf6a0, "__hw_addr_sync_dev" },
	{ 0x1da5fabd, "pci_disable_sriov" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xab412d8, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xa636a453, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdb8ebfbc, "phy_ethtool_ksettings_set" },
	{ 0x2901a393, "napi_gro_flush" },
	{ 0x26d814e2, "__skb_flow_dissect" },
	{ 0xbe24df6a, "dma_unmap_sg_attrs" },
	{ 0x724698c3, "hnae3_unregister_client" },
	{ 0x39e71204, "__napi_schedule_irqoff" },
	{ 0x7e391d12, "napi_schedule_prep" },
	{ 0x540f9ba9, "napi_consume_skb" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7c425a87, "napi_disable" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0x57a70737, "hnae3_unregister_ae_dev" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1775d71b, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc8d66c2, "skb_to_sgvec" },
	{ 0xe4b2dd46, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x874f937c, "ethtool_op_get_ts_info" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x628e77, "netdev_info" },
	{ 0x7d3ceff6, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2A75B6915FC5C495B5C5FA2");
