#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x20fb6b9d, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xccde4115, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x26c3bc60, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x6d2111dd, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xdfe49edf, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x532a772d, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x23dc4d7b, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x150b2b98, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xc4f84d7a, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xe7283ed6, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x5de4c9c7, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x7de608d5, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xd09ed7e8, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x4b9c68df, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x47855e17, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xb51ea030, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x0a0dc411, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x4b159f7f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x18128227, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x4c2bee2c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xa051e2d4, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x8625d129, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x3288bd00, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x2e1a87ec, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xdb93daf6, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xa38eb335, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6bddebcb, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xd34c2788, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x5e52750f, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x45035903, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x6606c9ed, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x6e3da28a, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x3e6689a8, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xca254b26, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x6ff1854f, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xf3ce4abe, "");
SYMBOL_CRC(mlx4_test_async, 0x1c6f6f93, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x50b13f97, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x9afa6bf5, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xbb5e752e, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x9422c0f2, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x026012d4, "");
SYMBOL_CRC(mlx4_assign_eq, 0x58d5f5f4, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xf5f9d9c9, "");
SYMBOL_CRC(mlx4_release_eq, 0xb2e8e128, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x38bb076d, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x05891e0b, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xc24c6cd4, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xdde3f8c2, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xf3f79db6, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x31ef2765, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x050afe7f, "");
SYMBOL_CRC(mlx4_wol_read, 0x5561604c, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x2c1ce077, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xa7f91d24, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xb71a49ac, "");
SYMBOL_CRC(set_phv_bit, 0x4e7535a1, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x6b3f6785, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xb20dab4c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x738e3ab1, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xc7686667, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x9db1c359, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x2ab2b73a, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x5181df08, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x4399dee9, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x3c205e4e, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x6c6e15d1, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xd6cc72fc, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xcd9dab35, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xe837a24a, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xdc822b8a, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x6a4504d9, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x8b783331, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x917a7e6f, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x7eddb0d7, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x0b8b6da9, "");
SYMBOL_CRC(mlx4_read_clock, 0x5d67bccb, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x7b959e57, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x405c83b2, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x6a39b207, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x62307347, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x6b76f961, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x2d83533d, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xe66b6865, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xe265b2e8, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xdc0d2e83, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x647a5759, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x5ae27abd, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xa00ba7e7, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xf4ed0b2f, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x502daa56, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x3e9f5039, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x5473997d, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x3ff33783, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x5d81637c, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x84384e00, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x2009eed9, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x8af36837, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x1ffa6849, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x3e8d4c93, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x9b366fa3, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x287abf52, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x6b0e7e7e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xed8cc001, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x9b482f00, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x7290dd19, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xab0c1492, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xba6a376e, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x19938eae, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x704fcfdc, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xb96c761f, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x30d5f3e1, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x249aa99f, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xeac915f4, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x41a251e5, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x29788216, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x59044085, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x692d1015, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x4dba1468, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xe5dcf655, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xe9fbd908, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x1d23eb17, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xa53a510c, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xcfd18b7a, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x4ae4ac63, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x1e0b4b5f, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x7d25b6ad, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x5adb88fa, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x6483d688, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x8547db26, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x77b29d0a, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x5659af71, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x05be0779, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xfe0ffbc3, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xc965473b, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x17373a01, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x66ed8ea4, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x094f4c8e, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xf0e21cba, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xfafb6017, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xecbd8059, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x1cecf246, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x14280724, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x81cce018, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x82ca050d, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x2986d9ab, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xb487d8dd, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x73bc3da4, "");
SYMBOL_CRC(mlx4_get_module_info, 0xb71169db, "");
SYMBOL_CRC(mlx4_max_tc, 0xf6848aaa, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x0577ccae, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x0685b80b, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x2129de8e, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x2daaa6b7, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x7116de4a, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xd5eacad6, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xf515d62f, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x5534ae45, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x0220b014, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x9331821b, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x74e3e1a9, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xa2f5e6c2, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xba4a8fe0, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xaa84c22e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc15734c8, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xebcefad2, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7ba27380, "devl_region_create" },
	{ 0x99740385, "devlink_unregister" },
	{ 0x8e565457, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1c465287, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7cf2c00b, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x244a224d, "devlink_region_snapshot_id_get" },
	{ 0x93ba6ce2, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x700b90e5, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x66fe74ff, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1ab225d9, "param_array_ops" },
	{ 0xc1259206, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e2e3adb, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbe60e315, "pci_sriov_get_totalvfs" },
	{ 0x7462c26a, "devlink_register" },
	{ 0x77245aa3, "devlink_port_type_clear" },
	{ 0x6317e697, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x32b6992e, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4baa2677, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x4c99b028, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xe34dd3, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x70b2e134, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb4ede4d0, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf8e3a82a, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x5c9e4341, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4b3f5039, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x4379a6d7, "__free_pages" },
	{ 0xa6f484e, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbf531f2a, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x2aa215a, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x39ef1efd, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa4dd5943, "dma_alloc_attrs" },
	{ 0x5c77f188, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf37fc431, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6cb4632f, "pci_restore_state" },
	{ 0x98bf538f, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xd5a089f2, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6744fffb, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x85efeb9c, "__alloc_pages" },
	{ 0x9c5327e3, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x5af2e19c, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xab592786, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf12a5756, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5d278954, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x867566b5, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2888aa77, "pci_release_regions" },
	{ 0x55a89370, "devl_assert_locked" },
	{ 0x3cdea7f7, "pcie_print_link_status" },
	{ 0xc9bb791c, "alloc_pages" },
	{ 0x18e43140, "devl_port_unregister" },
	{ 0x66af270a, "devl_param_driverinit_value_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xff2e948b, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1da5fabd, "pci_disable_sriov" },
	{ 0x55aafe89, "pci_disable_msix" },
	{ 0xac36dc78, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3b0afeb3, "dma_set_mask" },
	{ 0x9d0c0868, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbe24df6a, "dma_unmap_sg_attrs" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0xe31fd442, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1775d71b, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43bda3ea, "pci_write_config_dword" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x3bfdaadb, "device_remove_file" },
	{ 0x7d3ceff6, "dma_map_sg_attrs" },
	{ 0x48274f42, "devl_param_value_changed" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
