#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x9deaa783, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x39cf94af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6967dc93, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3996194a, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x628e77, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa35980c7, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd342850f, "nla_put" },
	{ 0x11fbdd7d, "from_kgid_munged" },
	{ 0x89365a1c, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfd51fe39, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9107613c, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4371ec18, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x512dd1b0, "rtnl_link_register" },
	{ 0xc507fc5c, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90a1be77, "rtnl_link_unregister" },
	{ 0xe66af197, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfc9f9006, "xdp_return_frame" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x596ec62b, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7f2aa4f3, "__folio_put" },
	{ 0x21b8b22e, "__put_devmap_managed_page_refs" },
	{ 0x2af5b97a, "dump_page" },
	{ 0xf2ed1010, "napi_gro_receive" },
	{ 0x39e4f389, "napi_complete_done" },
	{ 0xed8c4ffa, "build_skb" },
	{ 0x91068f32, "skb_put" },
	{ 0x42032ea8, "skb_set_owner_w" },
	{ 0xde06ec28, "bpf_prog_put" },
	{ 0xe1c6522e, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6aaf0b4a, "sock_init_data_uid" },
	{ 0x5160f0f8, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbaaa7e65, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x360775d9, "napi_get_frags" },
	{ 0x711a9d13, "iov_iter_single_seg_count" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7c425a87, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x76bf10fd, "xdp_rxq_info_unreg" },
	{ 0xb8d2cf6c, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4a9bedde, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x384de6c6, "netif_set_real_num_tx_queues" },
	{ 0x2d2f34bb, "netif_set_real_num_rx_queues" },
	{ 0x308e57ed, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7812a92, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x13313f76, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x26438a98, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x26d814e2, "__skb_flow_dissect" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xa89fa842, "xdp_rxq_info_is_reg" },
	{ 0x20458b6f, "__xdp_rxq_info_reg" },
	{ 0x2f6bf21e, "xdp_rxq_info_reg_mem_model" },
	{ 0xe65100ea, "netif_napi_add_weight" },
	{ 0x4dbfef25, "napi_enable" },
	{ 0xb0576c33, "lock_sock_nested" },
	{ 0x5677894d, "sk_attach_filter" },
	{ 0x3214cddb, "release_sock" },
	{ 0x694fbc4d, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x6694718d, "alloc_netdev_mqs" },
	{ 0xd713f157, "ip_tunnel_header_ops" },
	{ 0xcf469441, "register_netdevice" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0xd25690be, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xf167a66b, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4221fa11, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb729c114, "skb_copy_datagram_iter" },
	{ 0x9a91e97d, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf4af4d4c, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb32493f6, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0x9490b8cb, "sock_recv_errqueue" },
	{ 0x3688113c, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe4b2dd46, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xac08531c, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x26827126, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd093b08a, "skb_copy_ubufs" },
	{ 0xffcf3510, "__skb_get_hash_symmetric" },
	{ 0x2a00b6e8, "___pskb_trim" },
	{ 0x883b91d9, "xdp_do_redirect" },
	{ 0x4a8764d7, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe1d82aa0, "__traceiter_xdp_exception" },
	{ 0xf8986cb7, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8b22482, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xaad495e, "__page_frag_cache_drain" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x56e9b9d6, "xdp_master_redirect" },
	{ 0x605460ff, "do_xdp_generic" },
	{ 0x90dfa5ce, "skb_page_frag_refill" },
	{ 0x2f7de19d, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6f926ebe, "_copy_from_iter" },
	{ 0x84fa598, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf81c791, "skb_copy_datagram_from_iter" },
	{ 0x7e391d12, "napi_schedule_prep" },
	{ 0x81edd27d, "sock_alloc_send_pskb" },
	{ 0x7827eb5, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x6708de0d, "eth_get_headlen" },
	{ 0xe6da1364, "napi_gro_frags" },
	{ 0x5e1795cf, "iov_iter_revert" },
	{ 0x6699245b, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xce783286, "dev_get_mac_address" },
	{ 0x379519ba, "get_net_ns" },
	{ 0x31a82445, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2c76e32d, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xdd18105, "netdev_update_features" },
	{ 0xd147148, "make_kgid" },
	{ 0xa0950364, "make_kuid" },
	{ 0xf8bb6915, "init_user_ns" },
	{ 0xd88b1c79, "from_kuid" },
	{ 0x1ad393be, "dev_set_mac_address_user" },
	{ 0x8bf28078, "call_netdevice_notifiers" },
	{ 0x1b9587f5, "from_kgid" },
	{ 0xfb121593, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0x874f937c, "ethtool_op_get_ts_info" },
	{ 0xe739fe19, "passthru_features_check" },
	{ 0x760f1b4b, "eth_mac_addr" },
	{ 0xf901007b, "eth_validate_addr" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
