#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa0bf7e14, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x2149408e, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xdec05031, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x75ee17cd, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x5b615eb4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x42927bd3, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xa6926d9f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x95430faa, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3bf71b0a, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xee63dd3a, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x7a392cab, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x01078411, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xf3584809, "_gpl");
SYMBOL_CRC(usbnet_open, 0x6c9a4231, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x0272e608, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x1bdbcaa0, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xbb91956b, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x282f082a, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x11373255, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc5f38927, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x5fc2bf2a, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc495dacb, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x7d68362e, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa850cd52, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x12826617, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x9bfe0ade, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xd93033c4, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x5bbdfb22, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xfcc50e82, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x8dc68d79, "");
SYMBOL_CRC(usbnet_manage_power, 0x0f8988f9, "");
SYMBOL_CRC(usbnet_link_change, 0xf0607534, "");
SYMBOL_CRC(usbnet_read_cmd, 0xe341f8d9, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x164505f0, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xb3a746f1, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x4e9eab23, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7a14ce5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x14869e95, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x27b3bcaf, "usb_string" },
	{ 0x89478e45, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2c37adad, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbaaa7e65, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5d3e230b, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x318e4bf5, "usb_unlink_urb" },
	{ 0xdfbb4de2, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfac8dde0, "usb_submit_urb" },
	{ 0xb32493f6, "netdev_err" },
	{ 0xc342fcc5, "mii_ethtool_get_link_ksettings" },
	{ 0x1a347a20, "mii_ethtool_set_link_ksettings" },
	{ 0xc9e0a7d6, "mii_nway_restart" },
	{ 0xceefdace, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0x446f6e5b, "usb_get_from_anchor" },
	{ 0x1aca7cfa, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x628e77, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x99c91fbe, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x261014d4, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb680a583, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x31a8a3f0, "usb_autopm_get_interface" },
	{ 0xfa076e5d, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18cebb44, "usb_alloc_urb" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x4407f376, "mii_link_ok" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3628d21, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x828c9abc, "register_netdev" },
	{ 0x8e0bbc08, "pm_runtime_enable" },
	{ 0xd660d395, "usb_check_bulk_endpoints" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7bdea2f2, "skb_defer_rx_timestamp" },
	{ 0x2a5dea4e, "netif_rx" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0xc5ec1b7f, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x602e0e39, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xe4b2dd46, "skb_clone_tx_timestamp" },
	{ 0xf21a8466, "usb_autopm_get_interface_async" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x26827126, "skb_tstamp_tx" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x946df2ab, "usb_anchor_urb" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x535c13aa, "usb_autopm_get_interface_no_resume" },
	{ 0x91068f32, "skb_put" },
	{ 0xfd68b61, "usb_clear_halt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x760f1b4b, "eth_mac_addr" },
	{ 0xf901007b, "eth_validate_addr" },
	{ 0x9107613c, "dev_get_tstats64" },
	{ 0x874f937c, "ethtool_op_get_ts_info" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");
