#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x6caeb37e, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x68b55cd9, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x19591b11, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xc6f88fa7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x96ab95cd, "brcmu_pktq_mlen" },
	{ 0xe0831bb5, "cfg80211_sched_scan_results" },
	{ 0x86490a4d, "sdio_retune_hold_now" },
	{ 0xdcd01479, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x18cebb44, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1673ab8, "sdio_disable_func" },
	{ 0xdb9d5063, "cfg80211_mgmt_tx_status_ext" },
	{ 0x628130ba, "device_set_wakeup_enable" },
	{ 0xfa076e5d, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x56220602, "sdio_set_block_size" },
	{ 0xf9f6edd3, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfbb4de2, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0xf037625, "of_node_put" },
	{ 0x1c465287, "pci_enable_device" },
	{ 0x91068f32, "skb_put" },
	{ 0x4a265420, "brcmu_pkt_buf_free_skb" },
	{ 0xd0e0cba9, "of_property_read_variable_u32_array" },
	{ 0xbee4b052, "sdio_retune_crc_disable" },
	{ 0xe67f7c7e, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x81cf20e7, "firmware_request_nowarn" },
	{ 0xfa4f883a, "platform_driver_unregister" },
	{ 0xb5890ff0, "sdio_claim_host" },
	{ 0xa90d43da, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x47213977, "sdio_memcpy_fromio" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0xa4aa9d8d, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x940928bf, "cfg80211_remain_on_channel_expired" },
	{ 0x602e0e39, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb3824179, "cfg80211_register_netdevice" },
	{ 0x318787b1, "dma_unmap_page_attrs" },
	{ 0xe50d4dc9, "request_firmware" },
	{ 0x5e6988d1, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x559bf2f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9db55777, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2e6cdfbc, "cfg80211_port_authorized" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x49c0cab7, "brcmu_pktq_init" },
	{ 0xb5821d4a, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5faa427b, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf8b6e257, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x5c40cbab, "cfg80211_disconnected" },
	{ 0xd25690be, "ether_setup" },
	{ 0x1ac3dab9, "pci_unregister_driver" },
	{ 0xf0ecae84, "of_get_property" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0xe9603c62, "wake_up_process" },
	{ 0xf57ec389, "dev_driver_string" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x4666a73b, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x4c99b028, "pci_read_config_dword" },
	{ 0x39067451, "dma_map_page_attrs" },
	{ 0x6694718d, "alloc_netdev_mqs" },
	{ 0x22f17603, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb5e6c662, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1ca37797, "devm_kstrdup" },
	{ 0x7b06599d, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa0dd71a, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x144e0bc3, "cfg80211_crit_proto_stopped" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa88fe121, "wiphy_register" },
	{ 0x6b48c18, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf14b25d4, "cfg80211_put_bss" },
	{ 0xf7ef899d, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfac8dde0, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xa6f484e, "_dev_info" },
	{ 0xc02706ed, "of_get_mac_address" },
	{ 0xc5ec1b7f, "skb_queue_tail" },
	{ 0x786bd52a, "ieee80211_get_channel_khz" },
	{ 0x14b410ff, "cfg80211_check_combinations" },
	{ 0xaa7f43dd, "sdio_set_host_pm_flags" },
	{ 0xbfbe1fa5, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xc28d2b5d, "sdio_unregister_driver" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc94c9e04, "sdio_readsb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x33347f73, "usb_match_id" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbeae40be, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xc585d741, "device_wakeup_enable" },
	{ 0xdf5473ae, "cfg80211_ibss_joined" },
	{ 0x6ed32c09, "request_firmware_nowait" },
	{ 0x21a0c831, "simple_open" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x415d7b5f, "irq_get_irq_data" },
	{ 0xb958f348, "wiphy_apply_custom_regulatory" },
	{ 0xc0f52cca, "cfg80211_michael_mic_failure" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0xdaf65c4e, "sdio_retune_crc_enable" },
	{ 0xb69e2e57, "brcmu_pktq_flush" },
	{ 0x1380feea, "brcmu_pktq_peek_tail" },
	{ 0xa4dd5943, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x8ccf88e4, "cfg80211_del_sta_sinfo" },
	{ 0xad49073e, "sdio_readl" },
	{ 0x484090be, "mmc_set_data_timeout" },
	{ 0xd342850f, "nla_put" },
	{ 0x828c9abc, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x35e07fac, "wiphy_unregister" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x36ffaaa3, "of_property_read_string" },
	{ 0xe6c94f86, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd4d57292, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9b14cf8a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8aa4c232, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc8d1210b, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbc77881c, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4afcd3a1, "_dev_warn" },
	{ 0xc662c3ee, "brcmu_pktq_pdeq_match" },
	{ 0x2e931a4c, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x92ba7382, "sdio_writel" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9c5327e3, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x170823fe, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x2a5dea4e, "netif_rx" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x107ab15b, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x86449474, "skb_trim" },
	{ 0x61e53a6b, "skb_unlink" },
	{ 0xa0ec11d4, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x530efcba, "kthread_create_on_node" },
	{ 0x8b9d2b2f, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x54fc395, "pm_runtime_forbid" },
	{ 0x6a6f3826, "debugfs_create_file" },
	{ 0x1db49799, "brcmu_pktq_mdeq" },
	{ 0x698790f1, "cfg80211_unregister_wdev" },
	{ 0xad8b15c9, "pci_pme_capable" },
	{ 0x93f65803, "brcmu_pktq_penq" },
	{ 0x5d278954, "dma_free_attrs" },
	{ 0x51e30c51, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x4a48ef4b, "__platform_driver_probe" },
	{ 0x549f82e0, "of_device_is_compatible" },
	{ 0xe3e79905, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31a8a3f0, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc9e59c51, "brcmu_pktq_pdeq_tail" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb4f5637a, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x1aca7cfa, "usb_kill_urb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0xb422348a, "brcmu_pkt_buf_get_skb" },
	{ 0x2c51f60f, "mmc_hw_reset" },
	{ 0xdb40d681, "sdio_retune_release" },
	{ 0x1dd6bfd3, "sdio_claim_irq" },
	{ 0x9345959, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xac36dc78, "pci_disable_device" },
	{ 0x630e5ad6, "pci_match_id" },
	{ 0xfa57cc4f, "sdio_enable_func" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac71bc1, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x562e83a3, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x81ea0b8d, "cfg80211_inform_bss_data" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x7dbb24f1, "irq_of_parse_and_map" },
	{ 0xdf7d93e9, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0xd02f07fd, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7ce06014, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x21498a6b, "wiphy_free" },
	{ 0x192ce2, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xd8faf5ec, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43bda3ea, "pci_write_config_dword" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf59ada14, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57c2f397, "sdio_readb" },
	{ 0x2105d2ca, "sdio_writeb" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "C788D4499264A43ABB1A80E");
