#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18cebb44, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdfbb4de2, "usb_free_urb" },
	{ 0x15c811b9, "mwifiex_init_shutdown_fw" },
	{ 0x5546ab90, "devm_kmalloc" },
	{ 0x91068f32, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7c3c1619, "mwifiex_enable_hs" },
	{ 0xca9f5de8, "mwifiex_remove_card" },
	{ 0xce77c03a, "mwifiex_deauthenticate_all" },
	{ 0x602e0e39, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5e6988d1, "usb_register_driver" },
	{ 0x1dd27dd, "mwifiex_fw_dump_event" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x48966c50, "mwifiex_multi_chan_resync" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8c508c2b, "mwifiex_process_hs_config" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe13c766a, "usb_put_dev" },
	{ 0x7019d9f8, "usb_bulk_msg" },
	{ 0x986a6246, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x80fb9a02, "usb_get_dev" },
	{ 0xfac8dde0, "usb_submit_urb" },
	{ 0xc5ec1b7f, "skb_queue_tail" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x307f7a58, "_dev_err" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc8d1210b, "usb_deregister" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x783856ab, "mwifiex_add_card" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x46d82339, "_mwifiex_dbg" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0x86449474, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa41d46fd, "mwifiex_queue_main_work" },
	{ 0x9e2ba505, "mwifiex_process_sleep_confirm_resp" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x8e118c42, "mwifiex_write_data_complete" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1aca7cfa, "usb_kill_urb" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf6746dd0, "mwifiex_cancel_hs" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "mwifiex");

MODULE_ALIAS("usb:v1286p2041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1286p2042d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v1286p2043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1286p2044d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v1286p2049d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1286p204Ad*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v1286p2052d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1286p204Ed*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "D3B7780A032D03560CBC12D");
