#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf04c5c48, "dquot_commit" },
	{ 0xbc1f91fa, "truncate_inode_pages" },
	{ 0x96dc69e3, "bh_uptodate_or_lock" },
	{ 0xef4f832e, "inode_init_owner" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x647eac8, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x1f53843e, "clear_nlink" },
	{ 0x834e99e8, "generic_block_bmap" },
	{ 0x8655a887, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa2c47e2f, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20c1f053, "clear_inode" },
	{ 0x887426a9, "dquot_set_dqinfo" },
	{ 0x7f222167, "dquot_commit_info" },
	{ 0xf53a6013, "grab_cache_page_write_begin" },
	{ 0x7c597b57, "dquot_disable" },
	{ 0x45cffef, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xafe24361, "dquot_free_inode" },
	{ 0xabb112da, "folio_unlock" },
	{ 0x56756be, "set_blocksize" },
	{ 0xdc178111, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x6158f526, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2af5b97a, "dump_page" },
	{ 0x5f5c7c56, "dquot_get_state" },
	{ 0x40ed1a78, "init_special_inode" },
	{ 0x89859c04, "unregister_filesystem" },
	{ 0x9d571a37, "mark_buffer_dirty" },
	{ 0xa4183968, "__find_get_block" },
	{ 0x5476b85d, "__block_write_begin" },
	{ 0x28be7a18, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbcfc71ee, "__blockdev_direct_IO" },
	{ 0x975c20f3, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x2c4e10e6, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe1feb387, "sb_set_blocksize" },
	{ 0x9e88d526, "write_dirty_buffer" },
	{ 0xa2f10927, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2c889ac3, "d_splice_alias" },
	{ 0x88dc0856, "current_time" },
	{ 0x112357e0, "folio_zero_new_buffers" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1bc4370b, "ihold" },
	{ 0x7baaeb7f, "page_get_link" },
	{ 0x524bd733, "inode_dio_wait" },
	{ 0xe88a76a6, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa8d3115e, "read_cache_page" },
	{ 0xdaca0eb0, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x21b8b22e, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa4b83da1, "iter_file_splice_write" },
	{ 0x14fe351f, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5e5fd3e2, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5bfcb689, "flush_dcache_folio" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3d6b895d, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb4358910, "register_filesystem" },
	{ 0x3093fb90, "dquot_transfer" },
	{ 0x79fbfc9f, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x521959f, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x5a1190e1, "submit_bh" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x4e25fe81, "inode_get_bytes" },
	{ 0x4c2259e0, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc1098aab, "inode_newsize_ok" },
	{ 0x145ef31, "kill_block_super" },
	{ 0xc6a97fbd, "mnt_want_write_file" },
	{ 0x49c03604, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x338606e1, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7bdd3543, "generic_cont_expand_simple" },
	{ 0xa0950364, "make_kuid" },
	{ 0x820f0966, "try_to_free_buffers" },
	{ 0xafff8c37, "create_empty_buffers" },
	{ 0xcdf60ccb, "truncate_inode_pages_final" },
	{ 0xe0c6cbad, "generic_file_mmap" },
	{ 0xc56fca6f, "sync_mapping_buffers" },
	{ 0xdb90616b, "dquot_initialize" },
	{ 0x442ce059, "dquot_quota_on" },
	{ 0x8862fd61, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xea20762b, "xattr_full_name" },
	{ 0xd5affc5, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9fa02633, "mnt_drop_write_file" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x86117479, "inode_init_once" },
	{ 0x3f1b39e, "file_write_and_wait_range" },
	{ 0x1dc2f5f1, "mark_buffer_async_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x40bc833d, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x36c7f2e3, "dquot_set_dqblk" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfc36517b, "__brelse" },
	{ 0x50b465fd, "posix_acl_create" },
	{ 0x75da77a9, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf955b346, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xf97ee3cb, "generic_file_read_iter" },
	{ 0x624399bc, "unlock_page" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xd9e56dab, "set_cached_acl" },
	{ 0x3b27027d, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeadb30fc, "sync_dirty_buffer" },
	{ 0xbcc21118, "__bh_read_batch" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x22e26c53, "dquot_resume" },
	{ 0x11bf4154, "setattr_copy" },
	{ 0xb8465056, "proc_mkdir_data" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa44cc23, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x21d4eac0, "set_nlink" },
	{ 0x825f136c, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x2dff458e, "security_inode_init_security" },
	{ 0x80524e34, "seq_putc" },
	{ 0x8db740e8, "blkdev_get_by_path" },
	{ 0x1b9587f5, "from_kgid" },
	{ 0x64d8058a, "__sync_dirty_buffer" },
	{ 0xeffb876f, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x2aca20c, "d_obtain_alias" },
	{ 0x1f3693b3, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x194823cc, "__bread_gfp" },
	{ 0x624a1f2d, "block_dirty_folio" },
	{ 0x38e36e35, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x59d70638, "proc_mkdir" },
	{ 0xd88b1c79, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x7a8f07d, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd147148, "make_kgid" },
	{ 0xcd6710d6, "d_delete" },
	{ 0xcce534c9, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xdc4eace5, "truncate_setsize" },
	{ 0x7ce5a1ed, "insert_inode_locked4" },
	{ 0x2c465b82, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc6039bd2, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4af59df8, "redirty_page_for_writepage" },
	{ 0xa283f2b6, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5c0c79c3, "unlock_buffer" },
	{ 0x52c2882d, "igrab" },
	{ 0x8d316a3d, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xb3daf758, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x166a9bd4, "d_instantiate_new" },
	{ 0x6ae87d75, "__dquot_free_space" },
	{ 0x41b7f3e2, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x25090c8, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x167fc078, "mpage_readahead" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xf8bb6915, "init_user_ns" },
	{ 0xfa3065ab, "simple_rename_timestamp" },
	{ 0xbd453175, "inode_set_ctime_current" },
	{ 0x8c6db69d, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7f2aa4f3, "__folio_put" },
	{ 0xf9037d3e, "remove_proc_entry" },
	{ 0x7846e26, "dquot_quota_off" },
	{ 0x4221fa11, "seq_printf" },
	{ 0x4468a07, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2d38cfdc, "__lock_buffer" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x71317afe, "posix_acl_update_mode" },
	{ 0x5a56c9f5, "__folio_lock" },
	{ 0x5e4e3a50, "dquot_quota_on_mount" },
	{ 0x838c75d7, "filemap_dirty_folio" },
	{ 0xf5c746a1, "pagecache_get_page" },
	{ 0x827a4e3a, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa14f270, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf309d594, "seq_puts" },
	{ 0x1590e4e1, "dquot_mark_dquot_dirty" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe7622332, "dquot_get_next_id" },
	{ 0xc5d40b0e, "dquot_file_open" },
	{ 0x4644f02, "filemap_splice_read" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x929b296c, "proc_create_single_data" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x7b37ae22, "iget5_locked" },
	{ 0x99d51c78, "d_set_d_op" },
	{ 0xcbbd8a08, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0xd99d43b9, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbd906aea, "dquot_writeback_dquots" },
	{ 0xc90d7112, "__mark_inode_dirty" },
	{ 0x63757a0c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1fe4de6, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0x7c30ff07, "drop_nlink" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xfd0557d1, "dquot_destroy" },
	{ 0x2d9e96ce, "dquot_alloc" },
	{ 0xd5fee686, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "94EA7D47ABF30BFEA08A7F4");
