#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x158c7bc5, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xf800f0ed, "");
SYMBOL_CRC(dccp_v4_send_check, 0x5c123897, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xa73e516d, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x3d8be0d5, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x79ecb1c4, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x481d3d21, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x6282a515, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328d5863, "__inet_lookup_established" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd49a9597, "inet_bhash2_reset_saddr" },
	{ 0xc3e8ec75, "inet_csk_addr2sockaddr" },
	{ 0xcf70f76a, "inet_unregister_protosw" },
	{ 0x72686d88, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x56ebb308, "dccp_shutdown" },
	{ 0xaf0eee04, "inet_bhash2_update_saddr" },
	{ 0x20f80350, "dccp_connect" },
	{ 0x725b1865, "dccp_rcv_state_process" },
	{ 0x2657b3c6, "dccp_reqsk_send_ack" },
	{ 0x1ea9d361, "inet_lookup_reuseport" },
	{ 0x93d49b4f, "__inet_lookup_listener" },
	{ 0xd650d5d, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6327b0ba, "sock_common_getsockopt" },
	{ 0xc797c14a, "inet_bind" },
	{ 0xec50b5a0, "__inet_inherit_port" },
	{ 0xd164e823, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xa15e092a, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd001b011, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x77b05c49, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x467cc27b, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x68e6b49c, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0x8ebf9869, "sk_error_report" },
	{ 0xc5cae0c5, "register_pernet_subsys" },
	{ 0x18e333fd, "inet_ehash_nolisten" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2e61f1e6, "inet_getname" },
	{ 0xb334accc, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x605f4f05, "proto_unregister" },
	{ 0xcc115c50, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6c03dfaf, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0xfae64545, "dccp_done" },
	{ 0xc2608b67, "inet_release" },
	{ 0x5b6d8604, "__sk_dst_check" },
	{ 0x38edf930, "dccp_disconnect" },
	{ 0x660fd043, "ip_route_output_key_hash" },
	{ 0x37c47269, "proto_register" },
	{ 0x65296941, "inet_hash" },
	{ 0xbd472b0d, "__sk_receive_skb" },
	{ 0x9962c6c9, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb19053ff, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa08d3917, "inet_csk_get_port" },
	{ 0x14afce79, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x269a480e, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x7b285cd1, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2c296b36, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xbe30a082, "inet_add_protocol" },
	{ 0x1ae78ebf, "inet_shutdown" },
	{ 0x5160f0f8, "sk_free" },
	{ 0xe8acccd6, "dccp_close" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x86965f6e, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3fe09bb9, "inet_hash_connect" },
	{ 0x825f136c, "kmem_cache_free" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x78c5f0a4, "inet_csk_route_child_sock" },
	{ 0xaa5c7f43, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0x7e18aadc, "inet_csk_update_pmtu" },
	{ 0x200108aa, "dccp_getsockopt" },
	{ 0x27ed0428, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfd870d74, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x771a1c68, "skb_checksum" },
	{ 0x2cbf80e7, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xed5fc701, "sock_no_mmap" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x88714eed, "dccp_child_process" },
	{ 0xda058405, "sock_common_recvmsg" },
	{ 0xe8b274be, "dccp_setsockopt" },
	{ 0x3583219f, "dccp_ioctl" },
	{ 0x5c3452c0, "inet_sk_rebuild_header" },
	{ 0xd4c1dcb0, "inet_del_protocol" },
	{ 0x36ec8372, "dccp_recvmsg" },
	{ 0x58ea6ab9, "inet_sendmsg" },
	{ 0x55c0fc47, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9b0d67f1, "dccp_create_openreq_child" },
	{ 0xfb68634c, "inet_csk_prepare_forced_close" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0x74c77bc7, "sock_pfree" },
	{ 0x96e77244, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf57aa735, "dccp_send_sync" },
	{ 0x8adfa2ad, "dst_release" },
	{ 0xb7df4e2f, "sock_release" },
	{ 0x465ff163, "dccp_make_response" },
	{ 0x7e9ccedd, "dccp_destroy_sock" },
	{ 0xb9750728, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x55bfd947, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9ff3fccb, "sk_setup_caps" },
	{ 0x1871b1e0, "ip_build_and_send_pkt" },
	{ 0xaa93b94b, "dccp_sendmsg" },
	{ 0x29c8aeed, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xaf815d8b, "inet_twsk_put" },
	{ 0x55acea99, "inet_unhash" },
	{ 0x740415b7, "ip_getsockopt" },
	{ 0xbfb5bb11, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97fdcb4d, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x737f4bf, "inet_csk_reqsk_queue_drop" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "2238BF4BDD9C9186AB41CCC");
