#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xd554159b, "");
SYMBOL_CRC(is_hsr_master, 0xabc033d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x90dc3e41, "dev_set_mtu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1c803278, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x42dc4ec4, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x91068f32, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdd18105, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x512dd1b0, "rtnl_link_register" },
	{ 0x4ebfd666, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf82c0569, "dev_set_promiscuity" },
	{ 0xc6e90dd0, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xb2c4a624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x308e57ed, "unregister_netdevice_queue" },
	{ 0x444211d8, "netlink_ack" },
	{ 0x7812a92, "netdev_state_change" },
	{ 0x1baf5868, "__pskb_copy_fclone" },
	{ 0xd25690be, "ether_setup" },
	{ 0xb32493f6, "netdev_err" },
	{ 0xbe9299a3, "netdev_upper_dev_link" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0xf167a66b, "netdev_core_stats_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x60826121, "netdev_rx_handler_unregister" },
	{ 0x6c02ccc6, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9c18a217, "netlink_broadcast" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0xf82db5a3, "skb_copy_expand" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6d231cd2, "__dev_get_by_index" },
	{ 0x90a1be77, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc3cd81f, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa1fb505b, "dev_get_by_index_rcu" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x89cf23b8, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0xb1458eba, "debugfs_remove" },
	{ 0x55d4eab3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x2a5dea4e, "netif_rx" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0x86449474, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7c8edef, "seq_read" },
	{ 0x846b3005, "debugfs_rename" },
	{ 0x6a6f3826, "debugfs_create_file" },
	{ 0x40b548b7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8bf28078, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9de9f00, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4221fa11, "seq_printf" },
	{ 0x19b353f0, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8fc7d060, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x29810d7a, "netdev_rx_handler_register" },
	{ 0xf309d594, "seq_puts" },
	{ 0x810f2891, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x958b8945, "genl_unregister_family" },
	{ 0x6b3432fe, "dev_disable_lro" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0x604a39b4, "single_open" },
	{ 0x4b7e570a, "debugfs_create_dir" },
	{ 0x3966e5a6, "genl_register_family" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x628e77, "netdev_info" },
	{ 0xcf469441, "register_netdevice" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
