#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xb9029e12, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x427461f6, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x5703c40d, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xbe2d83f3, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x850ab0d0, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x4e573f76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea488f3, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xffcf3510, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2d75f54c, "nsh_pop" },
	{ 0x53e964c4, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x96a9a249, "nf_ct_set_timeout" },
	{ 0x86dd226c, "dev_get_stats" },
	{ 0x6028e57f, "__nla_put" },
	{ 0xaeda159e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x259c58f4, "dev_fill_metadata_dst" },
	{ 0xfd6497cc, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x40734db7, "skb_copy_bits" },
	{ 0xf9a301bc, "nf_ct_handle_fragments" },
	{ 0x760f1b4b, "eth_mac_addr" },
	{ 0x91068f32, "skb_put" },
	{ 0x4458fd56, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x22e6f2cc, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa0ab7b36, "nf_ct_nat" },
	{ 0xaa031871, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9e601970, "skb_eth_pop" },
	{ 0x7026d2a1, "trace_raw_output_prep" },
	{ 0xece9c290, "skb_gso_validate_mac_len" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xfd4aef86, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x47c87ee3, "nf_ct_helper" },
	{ 0xb1996bb5, "__trace_trigger_soft_disabled" },
	{ 0x54760a8e, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xf90df170, "trace_event_printf" },
	{ 0x859cab4, "rtnl_delete_link" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x512dd1b0, "rtnl_link_register" },
	{ 0xc77f3e08, "nf_connlabels_put" },
	{ 0x4ebfd666, "genlmsg_put" },
	{ 0x2a00b6e8, "___pskb_trim" },
	{ 0xf7f1f466, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf82c0569, "dev_set_promiscuity" },
	{ 0xf6173a93, "nf_ct_destroy_timeout" },
	{ 0xacb9d473, "nf_ct_add_helper" },
	{ 0xda107588, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5902ffac, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x73e22885, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x308e57ed, "unregister_netdevice_queue" },
	{ 0x79fbfc9f, "kmem_cache_create" },
	{ 0x68ccded, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0xd25690be, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x2922bb81, "pskb_expand_head" },
	{ 0xe00baa6, "skb_csum_hwoffload_help" },
	{ 0x6503f654, "trace_event_buffer_commit" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0xd3404457, "nf_connlabels_replace" },
	{ 0x1832d772, "eth_type_trans" },
	{ 0x6694718d, "alloc_netdev_mqs" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbb323a93, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x60826121, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9c18a217, "netlink_broadcast" },
	{ 0xaf706595, "skb_eth_push" },
	{ 0x54ab37de, "nf_conncount_count" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x19344c84, "kmem_cache_alloc" },
	{ 0xe5d94656, "skb_mpls_pop" },
	{ 0x52240039, "skb_vlan_pop" },
	{ 0x534b15f0, "dst_init" },
	{ 0x4a9bedde, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x90a1be77, "rtnl_link_unregister" },
	{ 0x73a3b98e, "perf_trace_run_bpf_submit" },
	{ 0x7a78f5ca, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xa6a476aa, "ipv6_stub" },
	{ 0x839082b3, "skb_mpls_update_lse" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xfc3cd81f, "netlink_unicast" },
	{ 0x6f2e59ac, "bpf_trace_run5" },
	{ 0xa1fb505b, "dev_get_by_index_rcu" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x825f136c, "kmem_cache_free" },
	{ 0x55d4eab3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x55653e3e, "trace_event_reg" },
	{ 0x69a4dc51, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x101b9cdd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe609617c, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb99aa6c2, "ethtool_op_get_link" },
	{ 0xd25830aa, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xa756e927, "nf_nat_helper_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeb4447b9, "__pskb_pull_tail" },
	{ 0x370a3314, "nf_ct_delete" },
	{ 0x255214d5, "nf_conncount_init" },
	{ 0xd5de25d6, "skb_vlan_push" },
	{ 0x9107613c, "dev_get_tstats64" },
	{ 0x2a5dea4e, "netif_rx" },
	{ 0xac36ef11, "__netdev_alloc_skb" },
	{ 0x41ea5b31, "netdev_master_upper_dev_link" },
	{ 0x1224eebe, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x7861981a, "inet_proto_csum_replace16" },
	{ 0x86449474, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5bcb13bf, "skb_scrub_packet" },
	{ 0x2ab4385b, "nf_ct_deliver_cached_events" },
	{ 0x48bacd4a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xac08531c, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x40b548b7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7869023, "trace_event_buffer_reserve" },
	{ 0xbece9e6c, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xfef681e7, "inet_proto_csum_replace4" },
	{ 0x6ec3eae3, "nf_conncount_destroy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf8cb36db, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x697eae0e, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x735bc4bf, "dev_get_by_name" },
	{ 0x19b353f0, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5177c79d, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8adfa2ad, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x45e5f955, "peernet2id_alloc" },
	{ 0x5e32527c, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x29810d7a, "netdev_rx_handler_register" },
	{ 0x31341803, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x958b8945, "genl_unregister_family" },
	{ 0x6b3432fe, "dev_disable_lro" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x33d152d8, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3966e5a6, "genl_register_family" },
	{ 0xf40e5a3d, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfcf5715e, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6b420b83, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x35e65304, "skb_mpls_push" },
	{ 0xde448ccd, "register_pernet_device" },
	{ 0xe5d6b48d, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0xabdf2db, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd5fee686, "kmem_cache_destroy" },
	{ 0x57cf86d8, "__skb_vlan_pop" },
	{ 0x7eb90d38, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf469441, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "27FF2E1BCA076F2588D7980");
