#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x766e5ab9, "skb_free_datagram" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x53dea1ff, "ax2asc" },
	{ 0xd5d073b8, "ax25_linkfail_register" },
	{ 0xee02e420, "ax25_findbyuid" },
	{ 0x91068f32, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc1444946, "ax25cmp" },
	{ 0xca696dec, "ax25_display_timer" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6cd15bc7, "consume_skb" },
	{ 0x82e3a496, "unregister_netdev" },
	{ 0x602e0e39, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x631d64be, "ax25_listen_register" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ede9e26, "ax25_protocol_release" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x694fbc4d, "__dev_get_by_name" },
	{ 0xbaaa7e65, "skb_queue_purge_reason" },
	{ 0x8eb23117, "dev_addr_mod" },
	{ 0x88bb0e89, "register_net_sysctl_sz" },
	{ 0x6694718d, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605f4f05, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x4c9f2217, "sock_register" },
	{ 0xa0ec32aa, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe9086446, "__alloc_skb" },
	{ 0x185974eb, "sk_reset_timer" },
	{ 0x37c47269, "proto_register" },
	{ 0x2f50ba95, "ax25_send_frame" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc5ec1b7f, "skb_queue_tail" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf99c35a2, "sock_no_shutdown" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3688113c, "sk_filter_trim_cap" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbd2a8c49, "init_net" },
	{ 0xfeaf0f6b, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242852b9, "ax25_uid_policy" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x5160f0f8, "sk_free" },
	{ 0x6026e26a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1cd4f590, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x828c9abc, "register_netdev" },
	{ 0xd43ecbf1, "null_ax25_address" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8f213fbd, "free_netdev" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd1b870f5, "ax25_listen_release" },
	{ 0xb0576c33, "lock_sock_nested" },
	{ 0xb729c114, "skb_copy_datagram_iter" },
	{ 0xe5ed33b2, "ax25_find_cb" },
	{ 0xe1c6522e, "sk_alloc" },
	{ 0x648dcf05, "__sock_queue_rcv_skb" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2cbf80e7, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xed5fc701, "sock_no_mmap" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x18d0fda9, "ax25_register_pid" },
	{ 0x42032ea8, "skb_set_owner_w" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x93cf57f3, "skb_recv_datagram" },
	{ 0x1323a26e, "ax25_linkfail_release" },
	{ 0x81edd27d, "sock_alloc_send_pskb" },
	{ 0xf9037d3e, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4221fa11, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x19b353f0, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6f926ebe, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf309d594, "seq_puts" },
	{ 0x55bfd947, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x76a11b3f, "sk_stop_timer" },
	{ 0x562e83a3, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x29d2af25, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4502c65a, "asc2ax" },
	{ 0xa9413ac1, "param_ops_int" },
	{ 0x5e1795cf, "iov_iter_revert" },
	{ 0x8a37c987, "skb_append" },
	{ 0x81f99d85, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xff36bcb4, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x619f999e, "kmalloc_caches" },
	{ 0x3214cddb, "release_sock" },
	{ 0xf59ada14, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x62e06293, "module_layout" },
};

MODULE_INFO(depends, "ax25");


MODULE_INFO(srcversion, "D7AD91601786FBD2AAA5717");
